/**********************************************************************************/
/* sample for cache program (SH7203)                                              */
/**********************************************************************************/
#include "iodefine.h"                                      /* SH7203 header file  */
#pragma section Cache                                      /* section is PCache   */

void Cache_Init(void)                                      /* Cache Initialize    */
{
  CACHE.CCR1.LONG = 0x00000909;                            /* ICF=ICE=OCF=OCE=1   */
}                                                          /* WT=0(write back)    */

void ICache_Invalidate(void *p)
{
unsigned int tag = (unsigned int)p;                        /* cast address to int */
  *(unsigned int *)(0xF0000008 + (tag & 0x7F0)) = tag & 0x1FFFF800;
                                                           /* A=1(Don't care way) */
}                                                          /* V=0(purge)          */

void ICache_All_Invalidate(void)
{
  CACHE.CCR1.LONG |= 0x00000800;                           /* ICF=1               */
}

void OCache_Purge(void *p)
{
unsigned int tag = (unsigned int)p;                        /* cast address to int */
  *(unsigned int *)(0xF0800008 + (tag & 0x7F0)) = tag & 0x1FFFF800;
                                                           /* A=1(Don't care way) */
}                                                          /* U=V=0(purge)        */

void OCache_WriteBack(void *p)
{
unsigned int tag = (unsigned int)p;                        /* cast address to int */
  *(unsigned int *)(0xF0800008 + (tag & 0x7F0)) = tag & 0x1FFFF800;
                                                           /* A=1(Don't care way) */
                                                           /* U=V=0(purge)        */
  *(unsigned int *)(0xF0800008 + (tag & 0x7F0)) = tag & 0x1FFFF800 | 1;
}                                                          /* V=1(validate)       */

void OCache_All_Purge(void)
{
unsigned int entry;
  for( entry=0 ; entry<4*128*16 ; entry+=16 )
    *(unsigned int *)(0xF0800000 + entry) = 0;             /* U=V=0(purge)        */
}