/**********************************************************************************/
/*   Sample for lock.c (SH-2A/SH2A-FPU)                                           */
/*        1st Parameter  <--  Way2 Lock Address                                   */
/*        2nd Parameter  <--  Way3 Lock Address                                   */
/**********************************************************************************/
#include <machine.h>                                    /* Compiler Header File   */
#include "iodefine.h"                                   /* Peripheral Header File */
#pragma section Cache                                   /* Section Name is PCache */

void OCache_Lock(void *W2, void *W3)                    /* W2 is 16byte Alignment */
{                                                       /* W3 is 16byte Alignment */
char *p;

  CACHE.CCR2.LONG = 0x00010003;                         /* Way2 Select, LE=1      */
  if( CACHE.CCR2.LONG )  ;                              /* Dummy Read             */
  for( p=W2 ; p<(char *)W2+2048 ; p+=16 )               /* Way Length Loop        */
    prefetch( p );                                      /* prefetch function      */
  CACHE.CCR2.LONG = 0x00010001;                         /* Way2 Lock              */

  CACHE.CCR2.LONG = 0x00010301;                         /* Way3 Select            */
  if( CACHE.CCR2.LONG )  ;                              /* Dummy Read             */
  for( p=W3 ; p<(char *)W3+2048 ; p+=16 )               /* Way Length Loop        */
    prefetch( p );                                      /* prefetch function      */
  CACHE.CCR2.LONG = 0x00010101;                         /* Way3 Lock              */
  if( CACHE.CCR2.LONG )  ;                              /* Dummy Read             */
}