/****************************************************************************/
/*   Sample for vecttbl.c                                                   */
/****************************************************************************/
void PowerON_Reset(void);               /* Power On Reset Function          */
void abc(void);                         /* IRQ0 Interrupt Function          */
                                        /*                                  */
#pragma section VECTTBL                 /* Section Name is CVECTTBL         */
void (* const VECTTBL[])(void) = {      /* Vector Table (Reset)             */
                PowerON_Reset,          /* #0   Power On Reset(PC) Vector   */
                __secend("S"),          /* #1   Power On Reset(SP) Vector   */
                0,                      /* #2   Manual   Reset(PC) Vector   */
                0 };                    /* #3   Manual   Reset(SP) Vector   */
                                        /*                                  */
#pragma section INTTBL                  /* Section Name is DINTTBL          */
void (*INTTBL[])(void) = {              /* Vector Table (Interrupt Request) */
                0,                      /* #4   General Illegal Instruction */
                0,                      /* #5   System Reserve              */
                0,                      /* #6   Slot Illegal Instruction    */
                0,                      /* #7   System Reserve              */
                0,                      /* #8   System Reserve              */
                0,                      /* #9   CPU Address Error Vector    */
                0,                      /* #10  DMAC/DTC Address Error      */
                0,                      /* #11  NMI Vector                  */
                0,                      /* #12  User Break Vector           */
                0,                      /* #13  System Reserve              */
                0,                      /* #14  System Reserve              */
                0,                      /* #15  System Reserve              */
                0,                      /* #16  System Reserve              */
                0,                      /* #17  System Reserve              */
                0,                      /* #18  System Reserve              */
                0,                      /* #19  System Reserve              */
                0,                      /* #20  System Reserve              */
                0,                      /* #21  System Reserve              */
                0,                      /* #22  System Reserve              */
                0,                      /* #23  System Reserve              */
                0,                      /* #24  System Reserve              */
                0,                      /* #25  System Reserve              */
                0,                      /* #26  System Reserve              */
                0,                      /* #27  System Reserve              */
                0,                      /* #28  System Reserve              */
                0,                      /* #29  System Reserve              */
                0,                      /* #30  System Reserve              */
                0,                      /* #31  System Reserve              */
                0,                      /* #32  TRAPA #32 Vector            */
                0,                      /* #33  TRAPA #33 Vector            */
                0,                      /* #34  TRAPA #34 Vector            */
                0,                      /* #35  TRAPA #35 Vector            */
                0,                      /* #36  TRAPA #36 Vector            */
                0,                      /* #37  TRAPA #37 Vector            */
                0,                      /* #38  TRAPA #38 Vector            */
                0,                      /* #39  TRAPA #39 Vector            */
                0,                      /* #40  TRAPA #40 Vector            */
                0,                      /* #41  TRAPA #41 Vector            */
                0,                      /* #42  TRAPA #42 Vector            */
                0,                      /* #43  TRAPA #43 Vector            */
                0,                      /* #44  TRAPA #44 Vector            */
                0,                      /* #45  TRAPA #45 Vector            */
                0,                      /* #46  TRAPA #46 Vector            */
                0,                      /* #47  TRAPA #47 Vector            */
                0,                      /* #48  TRAPA #48 Vector            */
                0,                      /* #49  TRAPA #49 Vector            */
                0,                      /* #50  TRAPA #50 Vector            */
                0,                      /* #51  TRAPA #51 Vector            */
                0,                      /* #52  TRAPA #52 Vector            */
                0,                      /* #53  TRAPA #53 Vector            */
                0,                      /* #54  TRAPA #54 Vector            */
                0,                      /* #55  TRAPA #55 Vector            */
                0,                      /* #56  TRAPA #56 Vector            */
                0,                      /* #57  TRAPA #57 Vector            */
                0,                      /* #58  TRAPA #58 Vector            */
                0,                      /* #59  TRAPA #59 Vector            */
                0,                      /* #60  TRAPA #60 Vector            */
                0,                      /* #61  TRAPA #61 Vector            */
                0,                      /* #62  TRAPA #62 Vector            */
                0,                      /* #63  TRAPA #63 Vector            */
                abc,                    /* #64  IRQ0 Vector                 */
                0,                      /* #65  IRQ1 Vector                 */
                0,                      /* #66  IRQ2 Vector                 */
                0,                      /* #67  IRQ3 Vector                 */
                0,                      /* #68  IRQ4 Vector                 */
                0,                      /* #69  IRQ5 Vector                 */
                0,                      /* #70  IRQ6 Vector                 */
                0,                      /* #71  IRQ7 Vector                 */
                0,                      /* #72  DEI0 of DMAC0               */
                0,                      /* #73  System Reserve              */
                0,                      /* #74  System Reserve              */
                0,                      /* #75  System Reserve              */
                0,                      /* #76  DEI1 of DMAC1               */
                0,                      /* #77  System Reserve              */
                0,                      /* #78  System Reserve              */
                0,                      /* #79  System Reserve              */
                0,                      /* #80  DEI2 of DMAC2               */
                0,                      /* #81  System Reserve              */
                0,                      /* #82  System Reserve              */
                0,                      /* #83  System Reserve              */
                0,                      /* #84  DEI3 of DMAC3               */
                0,                      /* #85  System Reserve              */
                0,                      /* #86  System Reserve              */
                0,                      /* #87  System Reserve              */
                0,                      /* #88  TGIA0 of MTU20 Vector       */
                0,                      /* #89  TGIB0 of MTU20 Vector       */
                0,                      /* #90  TGIC0 of MTU20 Vector       */
                0,                      /* #91  TGID0 of MTU20 Vector       */
                0,                      /* #92  TCIV0 of MTU20 Vector       */
                0,                      /* #93  TGIE0 of MTU20 Vector       */
                0,                      /* #94  TGIF0 of MTU20 Vector       */
                0,                      /* #95  System Reserve              */
                0,                      /* #96  TGIA1 of MTU21 Vector       */
                0,                      /* #97  TGIB1 of MTU21 Vector       */
                0,                      /* #98  System Reserve              */
                0,                      /* #99  System Reserve              */
                0,                      /* #100 TCIV1 of MTU21 Vector       */
                0,                      /* #101 TCIU1 of MTU21 Vector       */
                0,                      /* #102 System Reserve              */
                0,                      /* #103 System Reserve              */
                0,                      /* #104 TGIA2 of MTU22 Vector       */
                0,                      /* #105 TGIB2 of MTU22 Vector       */
                0,                      /* #106 System Reserve              */
                0,                      /* #107 System Reserve              */
                0,                      /* #108 TCIV2 of MTU22 Vector       */
                0,                      /* #109 TCIU2 of MTU22 Vector       */
                0,                      /* #110 System Reserve              */
                0,                      /* #111 System Reserve              */
                0,                      /* #112 TGIA3 of MTU23 Vector       */
                0,                      /* #113 TGIB3 of MTU23 Vector       */
                0,                      /* #114 TGIC3 of MTU23 Vector       */
                0,                      /* #115 TGID3 of MTU23 Vector       */
                0,                      /* #116 TCIV3 of MTU23 Vector       */
                0,                      /* #117 System Reserve              */
                0,                      /* #118 System Reserve              */
                0,                      /* #119 System Reserve              */
                0,                      /* #120 TGIA4 of MTU24 Vector       */
                0,                      /* #121 TGIB4 of MTU24 Vector       */
                0,                      /* #122 TGIC4 of MTU24 Vector       */
                0,                      /* #123 TGID4 of MTU24 Vector       */
                0,                      /* #124 TCIV4 of MTU24 Vector       */
                0,                      /* #125 System Reserve              */
                0,                      /* #126 System Reserve              */
                0,                      /* #127 System Reserve              */
                0,                      /* #128 TGIU5 of MTU25 Vector       */
                0,                      /* #129 TGIV5 of MTU25 Vector       */
                0,                      /* #130 TGIW5 of MTU25 Vector       */
                0,                      /* #131 System Reserve              */
                0,                      /* #132 OEI1 of POE(MTU2) Vector    */
                0,                      /* #133 OEI3 of POE(MTU2) Vector    */
                0,                      /* #134 System Reserve              */
                0,                      /* #135 System Reserve              */
                0,                      /* #136 System Reserve              */
                0,                      /* #137 System Reserve              */
                0,                      /* #138 System Reserve              */
                0,                      /* #139 System Reserve              */
                0,                      /* #140 System Reserve              */
                0,                      /* #141 System Reserve              */
                0,                      /* #142 System Reserve              */
                0,                      /* #143 System Reserve              */
                0,                      /* #144 System Reserve              */
                0,                      /* #145 System Reserve              */
                0,                      /* #146 System Reserve              */
                0,                      /* #147 System Reserve              */
                0,                      /* #148 System Reserve              */
                0,                      /* #149 System Reserve              */
                0,                      /* #150 System Reserve              */
                0,                      /* #151 System Reserve              */
                0,                      /* #152 System Reserve              */
                0,                      /* #153 System Reserve              */
                0,                      /* #154 System Reserve              */
                0,                      /* #155 System Reserve              */
                0,                      /* #156 IINAKI of IIC2              */
                0,                      /* #157 System Reserve              */
                0,                      /* #158 System Reserve              */
                0,                      /* #159 System Reserve              */
                0,                      /* #160 TGIA3S of MTU2S3 Vector     */
                0,                      /* #161 TGIB3S of MTU2S3 Vector     */
                0,                      /* #162 TGIC3S of MTU2S3 Vector     */
                0,                      /* #163 TGID3S of MTU2S3 Vector     */
                0,                      /* #164 TCIV3S of MTU2S3 Vector     */
                0,                      /* #165 System Reserve              */
                0,                      /* #166 System Reserve              */
                0,                      /* #167 System Reserve              */
                0,                      /* #168 TGIA4S of MTU2S4 Vector     */
                0,                      /* #169 TGIB4S of MTU2S4 Vector     */
                0,                      /* #170 TGIC4S of MTU2S4 Vector     */
                0,                      /* #171 TGID4S of MTU2S4 Vector     */
                0,                      /* #172 TCIV4S of MTU2S4 Vector     */
                0,                      /* #173 System Reserve              */
                0,                      /* #174 System Reserve              */
                0,                      /* #175 System Reserve              */
                0,                      /* #176 TGIU5 of MTU25 Vector       */
                0,                      /* #177 TGIV5 of MTU25 Vector       */
                0,                      /* #178 TGIW5 of MTU25 Vector       */
                0,                      /* #179 System Reserve              */
                0,                      /* #180 OEI2 of POE(MTU2S) Vector   */
                0,                      /* #181 System Reserve              */
                0,                      /* #182 System Reserve              */
                0,                      /* #183 System Reserve              */
                0,                      /* #184 CMI0 of CMT0 Vector         */
                0,                      /* #185 System Reserve              */
                0,                      /* #186 System Reserve              */
                0,                      /* #187 System Reserve              */
                0,                      /* #188 CMI1 of CMT1 Vector         */
                0,                      /* #189 System Reserve              */
                0,                      /* #190 System Reserve              */
                0,                      /* #191 System Reserve              */
                0,                      /* #192 CMI of BSC                  */
                0,                      /* #193 System Reserve              */
                0,                      /* #194 System Reserve              */
                0,                      /* #195 System Reserve              */
                0,                      /* #196 ITI of WDI Vector           */
                0,                      /* #197 System Reserve              */
                0,                      /* #198 System Reserve              */
                0,                      /* #199 System Reserve              */
                0,                      /* #200 ADI0 of A/D0 Vector         */
                0,                      /* #201 ADI1 of A/D1 Vector         */
                0,                      /* #202 System Reserve              */
                0,                      /* #203 System Reserve              */
                0,                      /* #204 ADI2 of A/D2 Vector         */
                0,                      /* #205 System Reserve              */
                0,                      /* #206 System Reserve              */
                0,                      /* #207 System Reserve              */
                0,                      /* #208 System Reserve              */
                0,                      /* #209 System Reserve              */
                0,                      /* #210 System Reserve              */
                0,                      /* #211 System Reserve              */
                0,                      /* #212 System Reserve              */
                0,                      /* #213 System Reserve              */
                0,                      /* #214 System Reserve              */
                0,                      /* #215 System Reserve              */
                0,                      /* #216 ERI0 of SCI0 Vector         */
                0,                      /* #217 RXI0 of SCI0 Vector         */
                0,                      /* #218 TXI0 of SCI0 Vector         */
                0,                      /* #219 TEI0 of SCI0 Vector         */
                0,                      /* #220 ERI1 of SCI1 Vector         */
                0,                      /* #221 RXI1 of SCI1 Vector         */
                0,                      /* #222 TXI1 of SCI1 Vector         */
                0,                      /* #223 TEI1 of SCI1 Vector         */
                0,                      /* #224 ERI2 of SCI2 Vector         */
                0,                      /* #225 RXI2 of SCI2 Vector         */
                0,                      /* #226 TXI2 of SCI2 Vector         */
                0,                      /* #227 TEI2 of SCI2 Vector         */
                0,                      /* #228 ERIF of SCIF Vector         */
                0,                      /* #229 RXIF of SCIF Vector         */
                0,                      /* #230 BRIF of SCIF Vector         */
                0,                      /* #231 TXIF of SCIF Vector         */
                0,                      /* #232 SSERI of SSU Vector         */
                0,                      /* #233 SSRXI of SSU Vector         */
                0,                      /* #234 SSTXI of SSU Vector         */
                0,                      /* #235 System Reserve              */
                0,                      /* #236 IITEI  of IIC2 Vector       */
                0,                      /* #237 IISTPI of IIC2 Vector       */
                0,                      /* #238 IITXI  of IIC2 Vector       */
                0 };                    /* #239 IIRXI  of IIC2 Vector       */