/******************************************************************/
/*   Sample for resetprg.c                                        */
/******************************************************************/
#include "iodefine.h"                   /* SH7080 Series Header   */
#pragma stacksize 24                    /* StackSize is 24 Byte   */
 
void _INITSCT(void);
 
char counter = 19;                      /* 1000ms Wait Counter    */
 
#pragma section ResetPRG                /* Section is PResetPRG   */
#pragma entry PowerON_Reset             /* Entry Function         */
void PowerON_Reset(void)
{
  _INITSCT( );                          /* Call _INITSCT Function */
  PFC.PEIORL.BYTE.L = 0xFF;             /* PE0 - PE7 is Output    */
  WDT.WRITE.WTCSR = 0xA5E7;             /* Select Manual Reset    */
  while( 1 ) ;                          /* Endless Loop           */
}
 
#pragma noregsave Manual_Reset          /* Noregsave Function     */
void Manual_Reset(void)
{
  if( ! counter-- )  {                  /* Decrement Wait Counter */
    _INITSCT( );                        /* Call _INITSCT Function */
    if( !PE.DR.BYTE.LL )
      PE.DR.BYTE.LL = 0x01;
    else
      PE.DR.BYTE.LL <<= 1;
    }
  while( 1 ) ;                          /* Endless Loop           */
}