/**********************************************************************************/
/*   Sample for cache.c (SH7709S)                                                 */
/**********************************************************************************/
#include "iodefine.h"                                   /* Peripheral Header File */
#pragma section Cache                                   /* Section Name is PCache */

void Cache_Init(void)                                   /* Cache Initialize       */
{
  CCR = 0x00000009;                                     /* CF=1,CE=1              */
}
 
void Cache_Purge(void *p)
{
unsigned int tag = (unsigned int)p;
  *(unsigned int *)(0xF0000008 + (tag & 0xFF0)) = tag & 0x1FFFFC00;
}                                                       /* W=0,A=1,U=V=0 (purge)  */

void Cache_WriteBack(void *p)
{
unsigned int tag = (unsigned int)p;
  *(unsigned int *)(0xF0000008 + (tag & 0xFF0)) = tag & 0x1FFFFC00;
                                                        /* W=0,A=1,U=V=0 (purge)  */
  *(unsigned int *)(0xF0000008 + (tag & 0xFF0)) = tag & 0x1FFFFC00 | 1;
}                                                       /* W=0,A=1,V=1 (validate) */

void Cache_All_Purge(void)
{
unsigned int entry;
  for( entry=0 ; entry<4*256*16 ; entry+=16 )
    *(unsigned int *)(0xF0000000 + entry) = 0;          /* A=0,U=V=0 (purge)      */
}