/********************************************************************************/
/*   Sample for exception.c (SH-4)                                              */
/********************************************************************************/
#include <machine.h>                            /* Compiler Header File         */
#include "exception.h"                          /* Exception Header File        */
#include "iodefine.h"                           /* Peripheral Header File       */
                                                /*                              */
#pragma section INT                             /* Section Name is PINT         */
#pragma interrupt int_hdl(bank)                 /* Interrupt Function           */
void int_hdl(void)                              /* VBR + H'600                  */
{                                               /*                              */
const struct st_inttbl *inttbl;                 /* Interrupt Table Pointer      */
int imask;                                      /* Interrupt Mask Level         */
  inttbl = &INTTBL[EXP.INTEVT - 0x1C0 >> 5];    /* Set Interrupt Information    */
  if( !inttbl->ipr & !inttbl->intpri || inttbl->level & !INTC.ICR.BIT.IRLM )
    imask = inttbl->level;                      /* Set Interrupt Mask Level     */
  else if( inttbl->ipr )                        /* Use IPR Interrupt ?          */
    imask = *inttbl->ipr >> inttbl->shift;      /* Make Interrupt Mask Level    */
  else                                          /* Use INTPRI Interrupt ?       */
    imask = *inttbl->intpri >> inttbl->shift;   /* Make Interrupt Mask Level    */
  sr_jsr( inttbl->address, imask );             /* Call Interrupt Function      */
}                                               /*                              */