/********************************************************************************/
/*   Sample for inttbl.c (SH7750R)                                              */
/********************************************************************************/
#include "exception.h"                          /* Exception Header             */
#include "iodefine.h"                           /* Peripheral Header            */
void irl0010(void);                             /* IRL0010 Interrupt Function   */
void tuni0(void);                               /* TUNI0   Interrupt Function   */
                                                /*                              */
#pragma section INTTBL                          /* Section Name is CINTTBL      */
const struct st_inttbl INTTBL[] = {             /* Interrupt Table              */
  {               0,     0,  0, 15,       0 },  /* H'1C0 NMI                    */
  {               0,     0,  0,  0,       0 },  /* H'1E0 Reserve                */
  {               0,     0,  0, 15,       0 },  /* H'200 IRL3`IRL0=0000        */
  {               0,     0,  0, 14,       0 },  /* H'220 IRL3`IRL0=0001        */
  { &INTC.IPRD.WORD,     0, 12, 13, irl0010 },  /* H'240 IRL3`IRL0=0010 , IRL0 */
  {               0,     0,  0, 12,       0 },  /* H'260 IRL3`IRL0=0011        */
  {               0,     0,  0, 11,       0 },  /* H'280 IRL3`IRL0=0100        */
  { &INTC.IPRD.WORD,     0,  8, 10,       0 },  /* H'2A0 IRL3`IRL0=0101 , IRL1 */
  {               0,     0,  0,  9,       0 },  /* H'2C0 IRL3`IRL0=0110        */
  {               0,     0,  0,  8,       0 },  /* H'2E0 IRL3`IRL0=0111        */
  { &INTC.IPRD.WORD,     0,  4,  7,       0 },  /* H'300 IRL3`IRL0=1000 , IRL2 */
  {               0,     0,  0,  6,       0 },  /* H'320 IRL3`IRL0=1001        */
  {               0,     0,  0,  5,       0 },  /* H'340 IRL3`IRL0=1010        */
  { &INTC.IPRD.WORD,     0,  0,  4,       0 },  /* H'360 IRL3`IRL0=1011 , IRL3 */
  {               0,     0,  0,  3,       0 },  /* H'380 IRL3`IRL0=1100        */
  {               0,     0,  0,  2,       0 },  /* H'3A0 IRL3`IRL0=1101        */
  {               0,     0,  0,  1,       0 },  /* H'3C0 IRL3`IRL0=1110        */
  {               0,     0,  0,  0,       0 },  /* H'3E0 Reserve                */
  { &INTC.IPRA.WORD,     0, 12,  0,   tuni0 },  /* H'400 TMU0 TUNI0             */
  { &INTC.IPRA.WORD,     0,  8,  0,       0 },  /* H'420 TMU1 TUNI1             */
  { &INTC.IPRA.WORD,     0,  4,  0,       0 },  /* H'440 TMU2 TUNI2             */
  { &INTC.IPRA.WORD,     0,  4,  0,       0 },  /* H'460 TMU2 TICPI2            */
  { &INTC.IPRA.WORD,     0,  0,  0,       0 },  /* H'480 RTC  ATI               */
  { &INTC.IPRA.WORD,     0,  0,  0,       0 },  /* H'4A0      PRI               */
  { &INTC.IPRA.WORD,     0,  0,  0,       0 },  /* H'4C0      CUI               */
  { &INTC.IPRB.WORD,     0,  4,  0,       0 },  /* H'4E0 SCI  ERI               */
  { &INTC.IPRB.WORD,     0,  4,  0,       0 },  /* H'500      RXI               */
  { &INTC.IPRB.WORD,     0,  4,  0,       0 },  /* H'520      TXI               */
  { &INTC.IPRB.WORD,     0,  4,  0,       0 },  /* H'540      TEI               */
  { &INTC.IPRB.WORD,     0, 12,  0,       0 },  /* H'560 WDT  ITI               */
  { &INTC.IPRB.WORD,     0,  8,  0,       0 },  /* H'580 REF  RCMI              */
  { &INTC.IPRB.WORD,     0,  8,  0,       0 },  /* H'5A0      ROVI              */
  {               0,     0,  0,  0,       0 },  /* H'5C0 Reserve                */
  {               0,     0,  0,  0,       0 },  /* H'5E0 Reserve                */
  {               0,     0,  0,  0,       0 },  /* H'600 Reserve                */
  { &INTC.IPRC.WORD,     0, 12,  0,       0 },  /* H'620 GPIO GPIOI             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'640 DMAC DMTE0             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'660      DMTE1             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'680      DMTE2             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'6A0      DMTE3             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'6C0      DMAE              */
  {               0,     0,  0,  0,       0 },  /* H'6E0 Reserve                */
  { &INTC.IPRC.WORD,     0,  4,  0,       0 },  /* H'700 SCIF ERI               */
  { &INTC.IPRC.WORD,     0,  4,  0,       0 },  /* H'720      RXI               */
  { &INTC.IPRC.WORD,     0,  4,  0,       0 },  /* H'740      TXI               */
  { &INTC.IPRC.WORD,     0,  4,  0,       0 },  /* H'760      TEI               */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'780 DMAC DMTE4             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'7A0      DMTE5             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'7C0      DMTE6             */
  { &INTC.IPRC.WORD,     0,  8,  0,       0 },  /* H'7E0      DMTE7             */
  { 0,                   0,  0,  0,       0 },  /* H'800 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'820 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'840 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'860 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'880 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'8A0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'8C0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'8E0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'900 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'920 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'940 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'960 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'980 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'9A0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'9C0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'9E0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'A00 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'A20 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'A40 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'A60 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'A80 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'AA0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'AC0 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'AE0 Reserve                */
  { 0, &INTC.INTPRI00.LONG,  8,  0,       0 },  /* H'B00 TMU3 TUNI3             */
  { 0,                   0,  0,  0,       0 },  /* H'B20 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'B40 Reserve                */
  { 0,                   0,  0,  0,       0 },  /* H'B60 Reserve                */
  { 0, &INTC.INTPRI00.LONG, 12,  0,       0 } };/* H'B80 TMU4 TUNI4             */