/**********************************************************************************/
/*   Sample for cache.c (SH7750R)                                                 */
/**********************************************************************************/
#include <machine.h>                                    /* Compiler Header File   */
#include "iodefine.h"                                   /* Peripheral Header File */
#pragma section Cache                                   /* Section Name is PCache */

#pragma inline Cache_Wait
static void Cache_Wait(void)
{
  nop( );  nop( );  nop( );  nop( );                    /* 4 Instruction Wait     */
  nop( );  nop( );  nop( );  nop( );                    /* 4 Instruction Wait     */
}

void Cache_Init(void)                                   /* Cache Initialize       */
{
  CACHE.CCR = 0x80000909;                               /* ICI=ICE=1,OCI=OCE=1    */
  Cache_Wait( );                                        /* 8 Instruction Wait     */
}

void ICache_Invalidate(void *p)
{
unsigned int tag = (unsigned int)p;                   /* W=0,A=1,V=0 (invalidate) */
  *(unsigned int *)(0xF0000008 + (tag & 0x1FE0)) = tag & 0x1FFFFC00;
  Cache_Wait( );                                        /* 8 Instruction Wait     */
}

void ICache_All_Invalidate(void)
{
  CACHE.CCR = CACHE.CCR & 0x800081A7 | 0x00000800;      /* ICI=1 (invalidate)     */
  Cache_Wait( );                                        /* 8 Instruction Wait     */
}

void OCache_All_Purge(void)
{
unsigned int entry;
  for( entry=0 ; entry<2*512*32 ; entry+=32 )
    *(unsigned int *)(0xF4000000 + entry) = 0;          /* A=0,U=V=0 (purge)      */
  Cache_Wait( );                                        /* 8 Instruction Wait     */
}