/************************************************************************/
/*   Sample for inttbl.c (SH7780)                                       */
/************************************************************************/
void irl0010(void);                    /* IRL0010 Interrupt Function    */
void tuni0(void);                      /* TUNI0   Interrupt Function    */
                                       /*                               */
#pragma section INTTBL                 /* Section Name is CINTTBL       */
void (* const INTTBL[])(void) = {      /* Interrupt Table               */
                            0,         /* H'1C0 NMI                     */
                            0,         /* H'1E0 Reserve                 */
                            0,         /* H'200 IRL3`IRL0=0000 or IRQ7 */
                            0,         /* H'220 IRL3`IRL0=0001         */
                      irl0010,         /* H'240 IRL3`IRL0=0010 or IRQ0 */
                            0,         /* H'260 IRL3`IRL0=0011         */
                            0,         /* H'280 IRL3`IRL0=0100 or IRQ1 */
                            0,         /* H'2A0 IRL3`IRL0=0101         */
                            0,         /* H'2C0 IRL3`IRL0=0110 or IRQ2 */
                            0,         /* H'2E0 IRL3`IRL0=0111         */
                            0,         /* H'300 IRL3`IRL0=1000 or IRQ3 */
                            0,         /* H'320 IRL3`IRL0=1001         */
                            0,         /* H'340 IRL3`IRL0=1010 or IRQ4 */
                            0,         /* H'360 IRL3`IRL0=1011         */
                            0,         /* H'380 IRL3`IRL0=1100 or IRQ5 */
                            0,         /* H'3A0 IRL3`IRL0=1101         */
                            0,         /* H'3C0 IRL3`IRL0=1110 or IRQ6 */
                            0,         /* H'3E0 Reserve                 */
                            0,         /* H'400 Reserve                 */
                            0,         /* H'420 Reserve                 */
                            0,         /* H'440 Reserve                 */
                            0,         /* H'460 Reserve                 */
                            0,         /* H'480 RTC   ATI               */
                            0,         /* H'4A0       PRI               */
                            0,         /* H'4C0       CUI               */
                            0,         /* H'4E0 Reserve                 */
                            0,         /* H'500 Reserve                 */
                            0,         /* H'520 Reserve                 */
                            0,         /* H'540 Reserve                 */
                            0,         /* H'560 WDT   ITI               */
                        tuni0,         /* H'580 TMU0  TUNI0             */
                            0,         /* H'5A0 TMU1  TUNI1             */
                            0,         /* H'5C0 TMU2  TUNI2             */
                            0,         /* H'5E0       TICPI2            */
                            0,         /* H'600 Reserve                 */
                            0,         /* H'620 Reserve                 */
                            0,         /* H'640 DMAC  DMINT0            */
                            0,         /* H'660       DMINT1            */
                            0,         /* H'680       DMINT2            */
                            0,         /* H'6A0       DMINT3            */
                            0,         /* H'6C0       DMAE              */
                            0,         /* H'6E0 Reserve                 */
                            0,         /* H'700 SCIF0 ERI0              */
                            0,         /* H'720       RXI0              */
                            0,         /* H'740       BRI0              */
                            0,         /* H'760       TXI0              */
                            0,         /* H'780 DMAC  DMINT4            */
                            0,         /* H'7A0       DMINT5            */
                            0,         /* H'7C0       DMINT6            */
                            0,         /* H'7E0       DMINT7            */
                            0,         /* H'800 Reserve                 */
                            0,         /* H'820 Reserve                 */
                            0,         /* H'840 Reserve                 */
                            0,         /* H'860 Reserve                 */
                            0,         /* H'880 Reserve                 */
                            0,         /* H'8A0 Reserve                 */
                            0,         /* H'8C0 Reserve                 */
                            0,         /* H'8E0 Reserve                 */
                            0,         /* H'900 CMT   CMTI              */
                            0,         /* H'920 Reserve                 */
                            0,         /* H'940 Reserve                 */
                            0,         /* H'960 Reserve                 */
                            0,         /* H'980 HAC   HACI              */
                            0,         /* H'9A0 Reserve                 */
                            0,         /* H'9C0 Reserve                 */
                            0,         /* H'9E0 Reserve                 */
                            0,         /* H'A00 PCIC  PCISERR           */
                            0,         /* H'A20       PCIINTA           */
                            0,         /* H'A40       PCIINTB           */
                            0,         /* H'A60       PCIINTC           */
                            0,         /* H'A80       PCIINTD           */
                            0,         /* H'AA0       PCIERR            */
                            0,         /* H'AC0       PCIPWD3           */
                            0,         /* H'AE0       PCIPWD2           */
                            0,         /* H'B00       PCIPWD1           */
                            0,         /* H'B20       PCIPWD0           */
                            0,         /* H'B40 Reserve                 */
                            0,         /* H'B60 Reserve                 */
                            0,         /* H'B80 SCIF1 ERI1              */
                            0,         /* H'BA0       RXI1              */
                            0,         /* H'BC0       BRI1              */
                            0,         /* H'BE0       TXI1              */
                            0,         /* H'C00 SIOF  SIOFI             */
                            0,         /* H'C20 Reserve                 */
                            0,         /* H'C40 Reserve                 */
                            0,         /* H'C60 Reserve                 */
                            0,         /* H'C80 HSPI  SPII              */
                            0,         /* H'CA0 Reserve                 */
                            0,         /* H'CC0 Reserve                 */
                            0,         /* H'CE0 Reserve                 */
                            0,         /* H'D00 MMCIF FSTAT             */
                            0,         /* H'D20       TRAN              */
                            0,         /* H'D40       ERR               */
                            0,         /* H'D60       FRDY              */
                            0,         /* H'D80 DMAC  DMINT8            */
                            0,         /* H'DA0       DMINT9            */
                            0,         /* H'DC0       DMINT10           */
                            0,         /* H'DE0       DMINT11           */
                            0,         /* H'E00 TMU3  TUNI3             */
                            0,         /* H'E20 TMU4  TUNI4             */
                            0,         /* H'E40 TMU5  TUNI5             */
                            0,         /* H'E60 Reserve                 */
                            0,         /* H'E80 SSI   SSII              */
                            0,         /* H'EA0 Reserve                 */
                            0,         /* H'EC0 Reserve                 */
                            0,         /* H'EE0 Reserve                 */
                            0,         /* H'F00 FLCTL FLSTE             */
                            0,         /* H'F20       FLTEND            */
                            0,         /* H'F40       FLTRQ0            */
                            0,         /* H'F60       FLTRQ1            */
                            0,         /* H'F80 GPIO  GPIOI0            */
                            0,         /* H'FA0       GPIOI1            */
                            0,         /* H'FC0       GPIOI2            */
                            0 };       /* H'FE0       GPIOI3            */