/**********************************************************************************/
/*   Sample for cache.c (SH7780)                                                  */
/**********************************************************************************/
#include <machine.h>                                    /* Compiler Header File   */
#include "iodefine.h"                                   /* Peripheral Header File */
#pragma section Cache                                   /* Section Name is PCache */

void Cache_Init(void)                                   /* Cache Initialize       */
{
  CACHE.CCR = 0x00000909;                               /* ICI=ICE=1,OCI=OCE=1    */
  icbi( 0 );                                            /* ICBI Instruction       */
}

void ICache_All_Invalidate(void)
{
  CACHE.CCR = CACHE.CCR & 0x00000107 | 0x00000800;      /* ICI=1 (invalidate)     */
  icbi( 0 );                                            /* ICBI Instruction       */
}

void OCache_All_Purge(void)
{
unsigned int entry;
  for( entry=0 ; entry<4*512*32 ; entry+=32 )
    *(unsigned int *)(0xF4000000 + entry) = 0;          /* A=0,U=V=0 (purge)      */
}