/************************************************************************/
/*      SH7780 Include File                                Ver 2.0      */
/************************************************************************/
struct st_mmu {                                         /* struct MMU   */
              unsigned int      PTEH;                   /* PTEH         */
              unsigned int      PTEL;                   /* PTEL         */
              unsigned int      TTB ;                   /* TTB          */
              unsigned int      TEA ;                   /* TEA          */
              unsigned int      MMUCR;                  /* MMUCR        */
              char              wk1[92];                /*              */
              unsigned int      PASCR;                  /* PASCR        */
              char              wk2[4];                 /*              */
              unsigned int      IRMCR;                  /* IRMCR        */
};                                                      /*              */
struct st_cache {                                       /* struct CACHE */
                 unsigned int   CCR;                    /* CCR          */
                 char           wk1[24];                /*              */
                 unsigned int   QACR0;                  /* QACR0        */
                 unsigned int   QACR1;                  /* QACR1        */
                 char           wk2[52];                /*              */
                 unsigned int   RAMCR;                  /* RAMCR        */
};                                                      /*              */
struct st_exp {                                         /* struct EXP   */
               unsigned int     TRA;                    /* TRA          */
               unsigned int     EXPEVT;                 /* EXPEVT       */
               unsigned int     INTEVT;                 /* INTEVT       */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* ICR0         */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int NMIL :1;       /*    NMIL      */
                            unsigned int MAI  :1;       /*    MAI       */
                            unsigned int      :4;       /*              */
                            unsigned int NMIB :1;       /*    NMIB      */
                            unsigned int NMIE :1;       /*    NMIE      */
                            unsigned int IRLM0:1;       /*    IRLM0     */
                            unsigned int IRLM1:1;       /*    IRLM1     */
                            }     BIT;                  /*              */
                     }          ICR0;                   /*              */
               char             wk1[12];                /*              */
               union {                                  /* INTPRI       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int _IRQ0:4;       /*    IRQ0      */
                            unsigned int _IRQ1:4;       /*    IRQ1      */
                            unsigned int _IRQ2:4;       /*    IRQ2      */
                            unsigned int _IRQ3:4;       /*    IRQ3      */
                            unsigned int _IRQ4:4;       /*    IRQ4      */
                            unsigned int _IRQ5:4;       /*    IRQ5      */
                            unsigned int _IRQ6:4;       /*    IRQ6      */
                            unsigned int _IRQ7:4;       /*    IRQ7      */
                            }     BIT;                  /*              */
                     }          INTPRI;                 /*              */
               char             wk2[8];                 /*              */
               union {                                  /* ICR1         */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IRQ0S:2;       /*    IRQ0S     */
                            unsigned int IRQ1S:2;       /*    IRQ1S     */
                            unsigned int IRQ2S:2;       /*    IRQ2S     */
                            unsigned int IRQ3S:2;       /*    IRQ3S     */
                            unsigned int IRQ4S:2;       /*    IRQ4S     */
                            unsigned int IRQ5S:2;       /*    IRQ5S     */
                            unsigned int IRQ6S:2;       /*    IRQ6S     */
                            unsigned int IRQ7S:2;       /*    IRQ7S     */
                            }     BIT;                  /*              */
                     }          ICR1;                   /*              */
               char             wk3[4];                 /*              */
               union {                                  /* INTREQ       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IR0:1;         /*    IR0       */
                            unsigned int IR1:1;         /*    IR1       */
                            unsigned int IR2:1;         /*    IR2       */
                            unsigned int IR3:1;         /*    IR3       */
                            unsigned int IR4:1;         /*    IR4       */
                            unsigned int IR5:1;         /*    IR5       */
                            unsigned int IR6:1;         /*    IR6       */
                            unsigned int IR7:1;         /*    IR7       */
                            }     BIT;                  /*              */
                     }          INTREQ;                 /*              */
               char             wk4[28];                /*              */
               union {                                  /* INTMSK0      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IM00:1;        /*    IM00      */
                            unsigned int IM01:1;        /*    IM01      */
                            unsigned int IM02:1;        /*    IM02      */
                            unsigned int IM03:1;        /*    IM03      */
                            unsigned int IM04:1;        /*    IM04      */
                            unsigned int IM05:1;        /*    IM05      */
                            unsigned int IM06:1;        /*    IM06      */
                            unsigned int IM07:1;        /*    IM07      */
                            }     BIT;                  /*              */
                     }          INTMSK0;                /*              */
               union {                                  /* INTMSK1      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IM10:1;        /*    IM10      */
                            unsigned int IM11:1;        /*    IM11      */
                            }     BIT;                  /*              */
                     }          INTMSK1;                /*              */
               char             wk5[24];                /*              */
               union {                                  /* INTMSKCLR0   */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IC00:1;        /*    IC00      */
                            unsigned int IC01:1;        /*    IC01      */
                            unsigned int IC02:1;        /*    IC02      */
                            unsigned int IC03:1;        /*    IC03      */
                            unsigned int IC04:1;        /*    IC04      */
                            unsigned int IC05:1;        /*    IC05      */
                            unsigned int IC06:1;        /*    IC06      */
                            unsigned int IC07:1;        /*    IC07      */
                            }     BIT;                  /*              */
                     }          INTMSKCLR0;             /*              */
               union {                                  /* INTMSKCLR1   */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IC10:1;        /*    IC10      */
                            unsigned int IC11:1;        /*    IC11      */
                            }     BIT;                  /*              */
                     }          INTMSKCLR1;             /*              */
               char             wk6[84];                /*              */
               union {                                  /* NMIFCR       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int NMIL : 1;      /*    NMIL      */
                            unsigned int      :30;      /*              */
                            unsigned int NMIFL: 1;      /*    NMIFL     */
                            }     BIT;                  /*              */
                     }          NMIFCR;                 /*              */
               char             wk7[196412];            /*              */
               union {                                  /* USERIMASK    */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :24;     /*              */
                            unsigned int UIMASK: 4;     /*    UIMASK    */
                            }     BIT;                  /*              */
                     }          USERIMASK;              /*              */
               char             wk8[65532];             /*              */
               union {                                  /* INT2PRI0     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int         :3;    /*              */
                            unsigned int _TMU0   :5;    /*    TMU0      */
                            unsigned int         :3;    /*              */
                            unsigned int _TMU1   :5;    /*    TMU1      */
                            unsigned int         :3;    /*              */
                            unsigned int _TMU2   :5;    /*    TMU2      */
                            unsigned int         :3;    /*              */
                            unsigned int _TMU2_IC:5;    /*    TMU2 IC   */
                            }     BIT;                  /*              */
                     }          INT2PRI0;               /*              */
               union {                                  /* INT2PRI1     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :3;       /*              */
                            unsigned int _TMU3:5;       /*    TMU3      */
                            unsigned int      :3;       /*              */
                            unsigned int _TMU4:5;       /*    TMU4      */
                            unsigned int      :3;       /*              */
                            unsigned int _TMU5:5;       /*    TMU5      */
                            unsigned int      :3;       /*              */
                            unsigned int _RTC :5;       /*    RTC       */
                            }     BIT;                  /*              */
                     }          INT2PRI1;               /*              */
               union {                                  /* INT2PRI2     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :3;      /*              */
                            unsigned int _SCIF0:5;      /*    SCIF0     */
                            unsigned int       :3;      /*              */
                            unsigned int _SCIF1:5;      /*    SCIF1     */
                            unsigned int       :3;      /*              */
                            unsigned int _WDT  :5;      /*    WDT       */
                            }     BIT;                  /*              */
                     }          INT2PRI2;               /*              */
               union {                                  /* INT2PRI3     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :3;     /*              */
                            unsigned int _HUDI  :5;     /*    HUDI      */
                            unsigned int        :3;     /*              */
                            unsigned int _DMAC_0:5;     /*    DMAC(0)   */
                            unsigned int        :3;     /*              */
                            unsigned int _DMAC_1:5;     /*    DMAC(1)   */
                            }     BIT;                  /*              */
                     }          INT2PRI3;               /*              */
               union {                                  /* INT2PRI4     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :3;     /*              */
                            unsigned int _CMT   :5;     /*    CMT       */
                            unsigned int        :3;     /*              */
                            unsigned int _HAC   :5;     /*    HAC       */
                            unsigned int        :3;     /*              */
                            unsigned int _PCIC_0:5;     /*    PCIC(0)   */
                            unsigned int        :3;     /*              */
                            unsigned int _PCIC_1:5;     /*    PCIC(1)   */
                            }     BIT;                  /*              */
                     }          INT2PRI4;               /*              */
               union {                                  /* INT2PRI5     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :3;     /*              */
                            unsigned int _PCIC_2:5;     /*    PCIC(2)   */
                            unsigned int        :3;     /*              */
                            unsigned int _PCIC_3:5;     /*    PCIC(3)   */
                            unsigned int        :3;     /*              */
                            unsigned int _PCIC_4:5;     /*    PCIC(4)   */
                            unsigned int        :3;     /*              */
                            unsigned int _PCIC_5:5;     /*    PCIC(5)   */
                            }     BIT;                  /*              */
                     }          INT2PRI5;               /*              */
               union {                                  /* INT2PRI6     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :3;      /*              */
                            unsigned int _SIOF :5;      /*    SIOF      */
                            unsigned int       :3;      /*              */
                            unsigned int _HSPI :5;      /*    HSPI      */
                            unsigned int       :3;      /*              */
                            unsigned int _MMCIF:5;      /*    MMCIF     */
                            unsigned int       :3;      /*              */
                            unsigned int _SSI  :5;      /*    SSI       */
                            }     BIT;                  /*              */
                     }          INT2PRI6;               /*              */
               union {                                  /* INT2PRI7     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :3;      /*              */
                            unsigned int _FLCTL:5;      /*    FLCTL     */
                            unsigned int       :3;      /*              */
                            unsigned int _GPIO :5;      /*    GPIO      */
                            }     BIT;                  /*              */
                     }          INT2PRI7;               /*              */
               char             wk9[16];                /*              */
               union {                                  /* INT2A0       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :6;     /*              */
                            unsigned int _GPIO  :1;     /*    GPIO      */
                            unsigned int _FLCTL :1;     /*    FLCTL     */
                            unsigned int _SSI   :1;     /*    SSI       */
                            unsigned int _MMCIF :1;     /*    MMCIF     */
                            unsigned int _HSPI  :1;     /*    HSPI      */
                            unsigned int _SIOF  :1;     /*    SIOF      */
                            unsigned int _PCIC_5:1;     /*    PCIC_5    */
                            unsigned int _PCIC_4:1;     /*    PCIC_4    */
                            unsigned int _PCIC_3:1;     /*    PCIC_3    */
                            unsigned int _PCIC_2:1;     /*    PCIC_2    */
                            unsigned int _PCIC_1:1;     /*    PCIC_1    */
                            unsigned int _PCIC_0:1;     /*    PCIC_0    */
                            unsigned int _HAC   :1;     /*    HAC       */
                            unsigned int _CMT   :1;     /*    CMT       */
                            unsigned int        :2;     /*              */
                            unsigned int _DMAC_1:1;     /*    DMAC_1    */
                            unsigned int _DMAC_0:1;     /*    DMAC_0    */
                            unsigned int _HUDI  :1;     /*    HUDI      */
                            unsigned int        :1;     /*              */
                            unsigned int _WDT   :1;     /*    WDT       */
                            unsigned int _SCIF1 :1;     /*    SCIF1     */
                            unsigned int _SCIF0 :1;     /*    SCIF0     */
                            unsigned int _RTC   :1;     /*    RTC       */
                            unsigned int _TMU3_5:1;     /*    TMU3_5    */
                            unsigned int _TMU0_2:1;     /*    TMU0_2    */
                            }     BIT;                  /*              */
                     }          INT2A0;                 /*              */
               union {                                  /* INT2A1       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :6;     /*              */
                            unsigned int _GPIO  :1;     /*    GPIO      */
                            unsigned int _FLCTL :1;     /*    FLCTL     */
                            unsigned int _SSI   :1;     /*    SSI       */
                            unsigned int _MMCIF :1;     /*    MMCIF     */
                            unsigned int _HSPI  :1;     /*    HSPI      */
                            unsigned int _SIOF  :1;     /*    SIOF      */
                            unsigned int _PCIC_5:1;     /*    PCIC_5    */
                            unsigned int _PCIC_4:1;     /*    PCIC_4    */
                            unsigned int _PCIC_3:1;     /*    PCIC_3    */
                            unsigned int _PCIC_2:1;     /*    PCIC_2    */
                            unsigned int _PCIC_1:1;     /*    PCIC_1    */
                            unsigned int _PCIC_0:1;     /*    PCIC_0    */
                            unsigned int _HAC   :1;     /*    HAC       */
                            unsigned int _CMT   :1;     /*    CMT       */
                            unsigned int        :2;     /*              */
                            unsigned int _DMAC_1:1;     /*    DMAC_1    */
                            unsigned int _DMAC_0:1;     /*    DMAC_0    */
                            unsigned int _HUDI  :1;     /*    HUDI      */
                            unsigned int        :1;     /*              */
                            unsigned int _WDT   :1;     /*    WDT       */
                            unsigned int _SCIF1 :1;     /*    SCIF1     */
                            unsigned int _SCIF0 :1;     /*    SCIF0     */
                            unsigned int _RTC   :1;     /*    RTC       */
                            unsigned int _TMU3_5:1;     /*    TMU3_5    */
                            unsigned int _TMU0_2:1;     /*    TMU0_2    */
                            }     BIT;                  /*              */
                     }          INT2A1;                 /*              */
               union {                                  /* INT2MSKR     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :6;     /*              */
                            unsigned int _GPIO  :1;     /*    GPIO      */
                            unsigned int _FLCTL :1;     /*    FLCTL     */
                            unsigned int _SSI   :1;     /*    SSI       */
                            unsigned int _MMCIF :1;     /*    MMCIF     */
                            unsigned int _HSPI  :1;     /*    HSPI      */
                            unsigned int _SIOF  :1;     /*    SIOF      */
                            unsigned int _PCIC_5:1;     /*    PCIC_5    */
                            unsigned int _PCIC_4:1;     /*    PCIC_4    */
                            unsigned int _PCIC_3:1;     /*    PCIC_3    */
                            unsigned int _PCIC_2:1;     /*    PCIC_2    */
                            unsigned int _PCIC_1:1;     /*    PCIC_1    */
                            unsigned int _PCIC_0:1;     /*    PCIC_0    */
                            unsigned int _HAC   :1;     /*    HAC       */
                            unsigned int _CMT   :1;     /*    CMT       */
                            unsigned int        :2;     /*              */
                            unsigned int _DMAC_1:1;     /*    DMAC_1    */
                            unsigned int _DMAC_0:1;     /*    DMAC_0    */
                            unsigned int _HUDI  :1;     /*    HUDI      */
                            unsigned int        :1;     /*              */
                            unsigned int _WDT   :1;     /*    WDT       */
                            unsigned int _SCIF1 :1;     /*    SCIF1     */
                            unsigned int _SCIF0 :1;     /*    SCIF0     */
                            unsigned int _RTC   :1;     /*    RTC       */
                            unsigned int _TMU3_5:1;     /*    TMU3_5    */
                            unsigned int _TMU0_2:1;     /*    TMU0_2    */
                            }     BIT;                  /*              */
                     }          INT2MSKR;               /*              */
               union {                                  /* INT2MSKCR    */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :6;     /*              */
                            unsigned int _GPIO  :1;     /*    GPIO      */
                            unsigned int _FLCTL :1;     /*    FLCTL     */
                            unsigned int _SSI   :1;     /*    SSI       */
                            unsigned int _MMCIF :1;     /*    MMCIF     */
                            unsigned int _HSPI  :1;     /*    HSPI      */
                            unsigned int _SIOF  :1;     /*    SIOF      */
                            unsigned int _PCIC_5:1;     /*    PCIC_5    */
                            unsigned int _PCIC_4:1;     /*    PCIC_4    */
                            unsigned int _PCIC_3:1;     /*    PCIC_3    */
                            unsigned int _PCIC_2:1;     /*    PCIC_2    */
                            unsigned int _PCIC_1:1;     /*    PCIC_1    */
                            unsigned int _PCIC_0:1;     /*    PCIC_0    */
                            unsigned int _HAC   :1;     /*    HAC       */
                            unsigned int _CMT   :1;     /*    CMT       */
                            unsigned int        :2;     /*              */
                            unsigned int _DMAC_1:1;     /*    DMAC_1    */
                            unsigned int _DMAC_0:1;     /*    DMAC_0    */
                            unsigned int _HUDI  :1;     /*    HUDI      */
                            unsigned int        :1;     /*              */
                            unsigned int _WDT   :1;     /*    WDT       */
                            unsigned int _SCIF1 :1;     /*    SCIF1     */
                            unsigned int _SCIF0 :1;     /*    SCIF0     */
                            unsigned int _RTC   :1;     /*    RTC       */
                            unsigned int _TMU3_5:1;     /*    TMU3_5    */
                            unsigned int _TMU0_2:1;     /*    TMU0_2    */
                            }     BIT;                  /*              */
                     }          INT2MSKCR;              /*              */
               union {                                  /* INT2B0(TMU)  */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :25;     /*              */
                            unsigned int TUNI5 : 1;     /*    TUNI5     */
                            unsigned int TUNI4 : 1;     /*    TUNI5     */
                            unsigned int TUNI3 : 1;     /*    TUNI5     */
                            unsigned int TICPI2: 1;     /*    TICPI2    */
                            unsigned int TUNI2 : 1;     /*    TUNI5     */
                            unsigned int TUNI1 : 1;     /*    TUNI5     */
                            unsigned int TUNI0 : 1;     /*    TUNI5     */
                            }     BIT;                  /*              */
                     }          INT2B0;                 /*              */
               union {                                  /* INT2B1(RTC)  */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :29;        /*              */
                            unsigned int CUI: 1;        /*    CUI       */
                            unsigned int PRI: 1;        /*    PRI       */
                            unsigned int ATI: 1;        /*    ATI       */
                            }     BIT;                  /*              */
                     }          INT2B1;                 /*              */
               union {                                  /* INT2B2(SCIF) */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :24;       /*              */
                            unsigned int TXI1: 1;       /*    TXI1      */
                            unsigned int BRI1: 1;       /*    BRI1      */
                            unsigned int RXI1: 1;       /*    RXI1      */
                            unsigned int ERI1: 1;       /*    ERI1      */
                            unsigned int TXI0: 1;       /*    TXI0      */
                            unsigned int BRI0: 1;       /*    BRI0      */
                            unsigned int RXI0: 1;       /*    RXI0      */
                            unsigned int ERI0: 1;       /*    ERI0      */
                            }     BIT;                  /*              */
                     }          INT2B2;                 /*              */
               union {                                  /* INT2B3(DMAC) */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :18;    /*              */
                            unsigned int DMAE1  : 1;    /*    DMAE1     */
                            unsigned int DMAE0  : 1;    /*    DMAE0     */
                            unsigned int DMINT11: 1;    /*    DMINT11   */
                            unsigned int DMINT10: 1;    /*    DMINT10   */
                            unsigned int DMINT9 : 1;    /*    DMINT9    */
                            unsigned int DMINT8 : 1;    /*    DMINT8    */
                            unsigned int DMINT7 : 1;    /*    DMINT7    */
                            unsigned int DMINT6 : 1;    /*    DMINT6    */
                            unsigned int DMINT5 : 1;    /*    DMINT5    */
                            unsigned int DMINT4 : 1;    /*    DMINT4    */
                            unsigned int DMINT3 : 1;    /*    DMINT3    */
                            unsigned int DMINT2 : 1;    /*    DMINT2    */
                            unsigned int DMINT1 : 1;    /*    DMINT1    */
                            unsigned int DMINT0 : 1;    /*    DMINT0    */
                            }     BIT;                  /*              */
                     }          INT2B3;                 /*              */
               union {                                  /* INT2B4(PCIC) */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :22;      /*              */
                            unsigned int PWD0 : 1;      /*    PWD0      */
                            unsigned int PWD1 : 1;      /*    PWD1      */
                            unsigned int PWD2 : 1;      /*    PWD2      */
                            unsigned int PWD3 : 1;      /*    PWD3      */
                            unsigned int ERR  : 1;      /*    ERR       */
                            unsigned int INTD : 1;      /*    INTD      */
                            unsigned int _INTC: 1;      /*    INTC      */
                            unsigned int INTB : 1;      /*    INTB      */
                            unsigned int INTA : 1;      /*    INTA      */
                            unsigned int SERR : 1;      /*    SERR      */
                            }     BIT;                  /*              */
                     }          INT2B4;                 /*              */
               union {                                  /* INT2B5(MMC)  */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :28;      /*              */
                            unsigned int FRDY : 1;      /*    FRDY      */
                            unsigned int ERR  : 1;      /*    ERR       */
                            unsigned int TRAN : 1;      /*    TRAN      */
                            unsigned int FSTAT: 1;      /*    FSTAT     */
                            }     BIT;                  /*              */
                     }          INT2B5;                 /*              */
               union {                                  /* INT2B6(FLCTL)*/
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :28;     /*              */
                            unsigned int FLTRQ1: 1;     /*    FLTRQ1    */
                            unsigned int FLTRQ0: 1;     /*    FLTRQ0    */
                            unsigned int FLTEND: 1;     /*    FLTEND    */
                            unsigned int FLSTE : 1;     /*    FLSTE     */
                            }     BIT;                  /*              */
                     }          INT2B6;                 /*              */
               union {                                  /* INT2B7(GPIO) */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :6;     /*              */
                            unsigned int PORTE6I:1;     /*    PORTE6I   */
                            unsigned int PORTK5I:1;     /*    PORTK5I   */
                            unsigned int        :4;     /*              */
                            unsigned int PORTK4I:1;     /*    PORTK4I   */
                            unsigned int PORTJ0I:1;     /*    PORTJ0I   */
                            unsigned int PORTH1I:1;     /*    PORTH1I   */
                            unsigned int PORTH0I:1;     /*    PORTH0I   */
                            unsigned int        :5;     /*              */
                            unsigned int PORTE5I:1;     /*    PORTE5I   */
                            unsigned int PORTE4I:1;     /*    PORTE4I   */
                            unsigned int PORTE3I:1;     /*    PORTE3I   */
                            unsigned int        :5;     /*              */
                            unsigned int PORTE2I:1;     /*    PORTE2I   */
                            unsigned int PORTE1I:1;     /*    PORTE1I   */
                            unsigned int PORTE0I:1;     /*    PORTE0I   */
                            }     BIT;                  /*              */
                     }          INT2B7;                 /*              */
               char             wk10[32];               /*              */
               union {                                  /* INTMSK2      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IM015:1;       /*    IM015     */
                            unsigned int IM014:1;       /*    IM014     */
                            unsigned int IM013:1;       /*    IM013     */
                            unsigned int IM012:1;       /*    IM012     */
                            unsigned int IM011:1;       /*    IM011     */
                            unsigned int IM010:1;       /*    IM010     */
                            unsigned int IM009:1;       /*    IM009     */
                            unsigned int IM008:1;       /*    IM008     */
                            unsigned int IM007:1;       /*    IM007     */
                            unsigned int IM006:1;       /*    IM006     */
                            unsigned int IM005:1;       /*    IM005     */
                            unsigned int IM004:1;       /*    IM004     */
                            unsigned int IM003:1;       /*    IM003     */
                            unsigned int IM002:1;       /*    IM002     */
                            unsigned int IM001:1;       /*    IM001     */
                            unsigned int      :1;       /*              */
                            unsigned int IM115:1;       /*    IM115     */
                            unsigned int IM114:1;       /*    IM114     */
                            unsigned int IM113:1;       /*    IM113     */
                            unsigned int IM112:1;       /*    IM112     */
                            unsigned int IM111:1;       /*    IM111     */
                            unsigned int IM110:1;       /*    IM110     */
                            unsigned int IM109:1;       /*    IM109     */
                            unsigned int IM108:1;       /*    IM108     */
                            unsigned int IM107:1;       /*    IM107     */
                            unsigned int IM106:1;       /*    IM106     */
                            unsigned int IM105:1;       /*    IM105     */
                            unsigned int IM104:1;       /*    IM104     */
                            unsigned int IM103:1;       /*    IM103     */
                            unsigned int IM102:1;       /*    IM102     */
                            unsigned int IM101:1;       /*    IM101     */
                            }     BIT;                  /*              */
                     }          INTMSK2;                /*              */
               union {                                  /* INTMSKCLR2   */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IC015:1;       /*    IC015     */
                            unsigned int IC014:1;       /*    IC014     */
                            unsigned int IC013:1;       /*    IC013     */
                            unsigned int IC012:1;       /*    IC012     */
                            unsigned int IC011:1;       /*    IC011     */
                            unsigned int IC010:1;       /*    IC010     */
                            unsigned int IC009:1;       /*    IC009     */
                            unsigned int IC008:1;       /*    IC008     */
                            unsigned int IC007:1;       /*    IC007     */
                            unsigned int IC006:1;       /*    IC006     */
                            unsigned int IC005:1;       /*    IC005     */
                            unsigned int IC004:1;       /*    IC004     */
                            unsigned int IC003:1;       /*    IC003     */
                            unsigned int IC002:1;       /*    IC002     */
                            unsigned int IC001:1;       /*    IC001     */
                            unsigned int      :1;       /*              */
                            unsigned int IC115:1;       /*    IC115     */
                            unsigned int IC114:1;       /*    IC114     */
                            unsigned int IC113:1;       /*    IC113     */
                            unsigned int IC112:1;       /*    IC112     */
                            unsigned int IC111:1;       /*    IC111     */
                            unsigned int IC110:1;       /*    IC110     */
                            unsigned int IC109:1;       /*    IC109     */
                            unsigned int IC108:1;       /*    IC108     */
                            unsigned int IC107:1;       /*    IC107     */
                            unsigned int IC106:1;       /*    IC106     */
                            unsigned int IC105:1;       /*    IC105     */
                            unsigned int IC104:1;       /*    IC104     */
                            unsigned int IC103:1;       /*    IC103     */
                            unsigned int IC102:1;       /*    IC102     */
                            unsigned int IC101:1;       /*    IC101     */
                            }     BIT;                  /*              */
                     }          INTMSKCLR2;             /*              */
               char             wk11[8];                /*              */
               union {                                  /* INT2GPIC     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :6;     /*              */
                            unsigned int PORTE6I:1;     /*    PORTE6I   */
                            unsigned int PORTK5I:1;     /*    PORTK5I   */
                            unsigned int        :4;     /*              */
                            unsigned int PORTK4I:1;     /*    PORTK4I   */
                            unsigned int PORTJ0I:1;     /*    PORTJ0I   */
                            unsigned int PORTH1I:1;     /*    PORTH1I   */
                            unsigned int PORTH0I:1;     /*    PORTH0I   */
                            unsigned int        :5;     /*              */
                            unsigned int PORTE5I:1;     /*    PORTE5I   */
                            unsigned int PORTE4I:1;     /*    PORTE4I   */
                            unsigned int PORTE3I:1;     /*    PORTE3I   */
                            unsigned int        :5;     /*              */
                            unsigned int PORTE2I:1;     /*    PORTE2I   */
                            unsigned int PORTE1I:1;     /*    PORTE1I   */
                            unsigned int PORTE0I:1;     /*    PORTE0I   */
                            }     BIT;                  /*              */
                     }          INT2GPIC;               /*              */
};                                                      /*              */
struct st_lbsc {                                        /* struct LBSC  */
               union {                                  /* MMSELR       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :29;    /*              */
                            unsigned int AREASEL: 3;    /*    AREASEL   */
                            }     BIT;                  /*              */
                     }          MMSELR;                 /*              */
               char             wk1[4198364];           /*              */
               union {                                  /* BCR          */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int ENDIAN :1;     /*    ENDIAN    */
                            unsigned int        :4;     /*              */
                            unsigned int DPUP   :1;     /*    DPUP      */
                            unsigned int        :1;     /*              */
                            unsigned int OPUP   :1;     /*    OPUP      */
                            unsigned int DACKBST:4;     /*    DACKBST   */
                            unsigned int        :2;     /*              */
                            unsigned int BREQEN :1;     /*    BREQEN    */
                            unsigned int DMABST :1;     /*    DMABST    */
                            unsigned int        :1;     /*              */
                            unsigned int HIZCNT :1;     /*    HIZCNT    */
                            unsigned int        :7;     /*              */
                            unsigned int ASYNC  :7;     /*    ASYNC     */
                            }     BIT;                  /*              */
                     }          BCR;                    /*              */
               char             wk2[4092];              /*              */
               union {                                  /* CS0BCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :1;       /*              */
                            unsigned int IWW  :3;       /*    IWW       */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWD:3;       /*    IWRWD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWS:3;       /*    IWRWS     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRD:3;       /*    IWRRD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRS:3;       /*    IWRRS     */
                            unsigned int BST  :2;       /*    BST       */
                            unsigned int SZ   :2;       /*    SZ        */
                            unsigned int RDSPL:1;       /*    RDSPL     */
                            unsigned int BW   :3;       /*    BW        */
                            unsigned int MPX  :1;       /*    MPX       */
                            unsigned int TYPE :3;       /*    TYPE      */
                            }     BIT;                  /*              */
                     }          CS0BCR;                 /*              */
               char             wk3[4];                 /*              */
               union {                                  /* CS0WCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :1;         /*              */
                            unsigned int ADS:3;         /*    ADS       */
                            unsigned int    :1;         /*              */
                            unsigned int ADH:3;         /*    ADH       */
                            unsigned int    :1;         /*              */
                            unsigned int RDS:3;         /*    RDS       */
                            unsigned int    :1;         /*              */
                            unsigned int RDH:3;         /*    RDH       */
                            unsigned int    :1;         /*              */
                            unsigned int WTS:3;         /*    WTS       */
                            unsigned int    :1;         /*              */
                            unsigned int WTH:3;         /*    WTH       */
                            unsigned int    :1;         /*              */
                            unsigned int BSH:3;         /*    BSH       */
                            unsigned int IW :4;         /*    IW        */
                            }     BIT;                  /*              */
                     }          CS0WCR;                 /*              */
               char             wk4[4];                 /*              */
               union {                                  /* CS1BCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :1;       /*              */
                            unsigned int IWW  :3;       /*    IWW       */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWD:3;       /*    IWRWD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWS:3;       /*    IWRWS     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRD:3;       /*    IWRRD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRS:3;       /*    IWRRS     */
                            unsigned int BST  :2;       /*    BST       */
                            unsigned int SZ   :2;       /*    SZ        */
                            unsigned int RDSPL:1;       /*    RDSPL     */
                            unsigned int BW   :3;       /*    BW        */
                            unsigned int MPX  :1;       /*    MPX       */
                            unsigned int TYPE :3;       /*    TYPE      */
                            }     BIT;                  /*              */
                     }          CS1BCR;                 /*              */
               char             wk5[4];                 /*              */
               union {                                  /* CS1WCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :1;         /*              */
                            unsigned int ADS:3;         /*    ADS       */
                            unsigned int    :1;         /*              */
                            unsigned int ADH:3;         /*    ADH       */
                            unsigned int    :1;         /*              */
                            unsigned int RDS:3;         /*    RDS       */
                            unsigned int    :1;         /*              */
                            unsigned int RDH:3;         /*    RDH       */
                            unsigned int    :1;         /*              */
                            unsigned int WTS:3;         /*    WTS       */
                            unsigned int    :1;         /*              */
                            unsigned int WTH:3;         /*    WTH       */
                            unsigned int    :1;         /*              */
                            unsigned int BSH:3;         /*    BSH       */
                            unsigned int IW :4;         /*    IW        */
                            }     BIT;                  /*              */
                     }          CS1WCR;                 /*              */
               char             wk6[4];                 /*              */
               union {                                  /* CS2BCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :1;       /*              */
                            unsigned int IWW  :3;       /*    IWW       */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWD:3;       /*    IWRWD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWS:3;       /*    IWRWS     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRD:3;       /*    IWRRD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRS:3;       /*    IWRRS     */
                            unsigned int BST  :2;       /*    BST       */
                            unsigned int SZ   :2;       /*    SZ        */
                            unsigned int RDSPL:1;       /*    RDSPL     */
                            unsigned int BW   :3;       /*    BW        */
                            unsigned int MPX  :1;       /*    MPX       */
                            unsigned int TYPE :3;       /*    TYPE      */
                            }     BIT;                  /*              */
                     }          CS2BCR;                 /*              */
               char             wk7[4];                 /*              */
               union {                                  /* CS2WCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :1;         /*              */
                            unsigned int ADS:3;         /*    ADS       */
                            unsigned int    :1;         /*              */
                            unsigned int ADH:3;         /*    ADH       */
                            unsigned int    :1;         /*              */
                            unsigned int RDS:3;         /*    RDS       */
                            unsigned int    :1;         /*              */
                            unsigned int RDH:3;         /*    RDH       */
                            unsigned int    :1;         /*              */
                            unsigned int WTS:3;         /*    WTS       */
                            unsigned int    :1;         /*              */
                            unsigned int WTH:3;         /*    WTH       */
                            unsigned int    :1;         /*              */
                            unsigned int BSH:3;         /*    BSH       */
                            unsigned int IW :4;         /*    IW        */
                            }     BIT;                  /*              */
                     }          CS2WCR;                 /*              */
               char             wk8[20];                /*              */
               union {                                  /* CS4BCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :1;       /*              */
                            unsigned int IWW  :3;       /*    IWW       */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWD:3;       /*    IWRWD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWS:3;       /*    IWRWS     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRD:3;       /*    IWRRD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRS:3;       /*    IWRRS     */
                            unsigned int BST  :2;       /*    BST       */
                            unsigned int SZ   :2;       /*    SZ        */
                            unsigned int RDSPL:1;       /*    RDSPL     */
                            unsigned int BW   :3;       /*    BW        */
                            unsigned int MPX  :1;       /*    MPX       */
                            unsigned int TYPE :3;       /*    TYPE      */
                            }     BIT;                  /*              */
                     }          CS4BCR;                 /*              */
               char             wk9[4];                 /*              */
               union {                                  /* CS4WCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :1;         /*              */
                            unsigned int ADS:3;         /*    ADS       */
                            unsigned int    :1;         /*              */
                            unsigned int ADH:3;         /*    ADH       */
                            unsigned int    :1;         /*              */
                            unsigned int RDS:3;         /*    RDS       */
                            unsigned int    :1;         /*              */
                            unsigned int RDH:3;         /*    RDH       */
                            unsigned int    :1;         /*              */
                            unsigned int WTS:3;         /*    WTS       */
                            unsigned int    :1;         /*              */
                            unsigned int WTH:3;         /*    WTH       */
                            unsigned int    :1;         /*              */
                            unsigned int BSH:3;         /*    BSH       */
                            unsigned int IW :4;         /*    IW        */
                            }     BIT;                  /*              */
                     }          CS4WCR;                 /*              */
               char             wk10[4];                /*              */
               union {                                  /* CS5BCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :1;       /*              */
                            unsigned int IWW  :3;       /*    IWW       */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWD:3;       /*    IWRWD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWS:3;       /*    IWRWS     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRD:3;       /*    IWRRD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRS:3;       /*    IWRRS     */
                            unsigned int BST  :2;       /*    BST       */
                            unsigned int SZ   :2;       /*    SZ        */
                            unsigned int RDSPL:1;       /*    RDSPL     */
                            unsigned int BW   :3;       /*    BW        */
                            unsigned int MPX  :1;       /*    MPX       */
                            unsigned int TYPE :3;       /*    TYPE      */
                            }     BIT;                  /*              */
                     }          CS5BCR;                 /*              */
               char             wk11[4];                /*              */
               union {                                  /* CS5WCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :1;         /*              */
                            unsigned int ADS:3;         /*    ADS       */
                            unsigned int    :1;         /*              */
                            unsigned int ADH:3;         /*    ADH       */
                            unsigned int    :1;         /*              */
                            unsigned int RDS:3;         /*    RDS       */
                            unsigned int    :1;         /*              */
                            unsigned int RDH:3;         /*    RDH       */
                            unsigned int    :1;         /*              */
                            unsigned int WTS:3;         /*    WTS       */
                            unsigned int    :1;         /*              */
                            unsigned int WTH:3;         /*    WTH       */
                            unsigned int    :1;         /*              */
                            unsigned int BSH:3;         /*    BSH       */
                            unsigned int IW :4;         /*    IW        */
                            }     BIT;                  /*              */
                     }          CS5WCR;                 /*              */
               char             wk12[4];                /*              */
               union {                                  /* CS6BCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :1;       /*              */
                            unsigned int IWW  :3;       /*    IWW       */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWD:3;       /*    IWRWD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRWS:3;       /*    IWRWS     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRD:3;       /*    IWRRD     */
                            unsigned int      :1;       /*              */
                            unsigned int IWRRS:3;       /*    IWRRS     */
                            unsigned int BST  :2;       /*    BST       */
                            unsigned int SZ   :2;       /*    SZ        */
                            unsigned int RDSPL:1;       /*    RDSPL     */
                            unsigned int BW   :3;       /*    BW        */
                            unsigned int MPX  :1;       /*    MPX       */
                            unsigned int TYPE :3;       /*    TYPE      */
                            }     BIT;                  /*              */
                     }          CS6BCR;                 /*              */
               char             wk13[4];                /*              */
               union {                                  /* CS6WCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :1;         /*              */
                            unsigned int ADS:3;         /*    ADS       */
                            unsigned int    :1;         /*              */
                            unsigned int ADH:3;         /*    ADH       */
                            unsigned int    :1;         /*              */
                            unsigned int RDS:3;         /*    RDS       */
                            unsigned int    :1;         /*              */
                            unsigned int RDH:3;         /*    RDH       */
                            unsigned int    :1;         /*              */
                            unsigned int WTS:3;         /*    WTS       */
                            unsigned int    :1;         /*              */
                            unsigned int WTH:3;         /*    WTH       */
                            unsigned int    :1;         /*              */
                            unsigned int BSH:3;         /*    BSH       */
                            unsigned int IW :4;         /*    IW        */
                            }     BIT;                  /*              */
                     }          CS6WCR;                 /*              */
               char             wk14[4];                /*              */
               union {                                  /* CS5PCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :1;        /*              */
                            unsigned int SAA :3;        /*    SAA       */
                            unsigned int     :1;        /*              */
                            unsigned int SAB :3;        /*    SAB       */
                            unsigned int PCWA:2;        /*    PCWA      */
                            unsigned int PCWB:2;        /*    PCWB      */
                            unsigned int PCIW:4;        /*    PCIW      */
                            unsigned int     :1;        /*              */
                            unsigned int TEDA:3;        /*    TEDA      */
                            unsigned int     :1;        /*              */
                            unsigned int TEDB:3;        /*    TEDB      */
                            unsigned int     :1;        /*              */
                            unsigned int TEHA:3;        /*    TEHA      */
                            unsigned int     :1;        /*              */
                            unsigned int TEHB:3;        /*    TEHB      */
                            }     BIT;                  /*              */
                     }          CS5PCR;                 /*              */
               char             wk15[12];               /*              */
               union {                                  /* CS6PCR       */
                     unsigned int LONG ;                /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :1;        /*              */
                            unsigned int SAA :3;        /*    SAA       */
                            unsigned int     :1;        /*              */
                            unsigned int SAB :3;        /*    SAB       */
                            unsigned int PCWA:2;        /*    PCWA      */
                            unsigned int PCWB:2;        /*    PCWB      */
                            unsigned int PCIW:4;        /*    PCIW      */
                            unsigned int     :1;        /*              */
                            unsigned int TEDA:3;        /*    TEDA      */
                            unsigned int     :1;        /*              */
                            unsigned int TEDB:3;        /*    TEDB      */
                            unsigned int     :1;        /*              */
                            unsigned int TEHA:3;        /*    TEHA      */
                            unsigned int     :1;        /*              */
                            unsigned int TEHB:3;        /*    TEHB      */
                            }     BIT;                  /*              */
                     }          CS6PCR;                 /*              */
};                                                      /*              */
struct st_ddrif {                                       /* struct DDRIF */
                union {                                 /* MIM          */
                      unsigned long long DLONG;         /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned long long       :16; /*           */
                             unsigned long long BOMODE: 2; /* BOMODE    */
                             unsigned long long       : 1; /*           */
                             unsigned long long PCKE  : 1; /* PCKE      */
                             unsigned long long       : 9; /*           */
                             unsigned long long SELFS : 1; /* SELFS     */
                             unsigned long long RMODE : 1; /* RMODE     */
                             unsigned long long DRMODE: 1; /* DRMODE    */
                             unsigned long long       : 3; /*           */
                             unsigned long long DRI   :13; /* DRI       */
                             unsigned long long LOCK  : 4; /* LOCK      */
                             unsigned long long       : 2; /*           */
                             unsigned long long DRE   : 1; /* DRE       */
                             unsigned long long ENDIAN: 1; /* ENDIAN    */
                             unsigned long long BW    : 1; /* BW        */
                             unsigned long long       : 3; /*           */
                             unsigned long long DLLEN : 1; /* DLLEN     */
                             unsigned long long       : 2; /*           */
                             unsigned long long DCE   : 1; /* DCE       */
                             }           BIT;              /*           */
                      }         MIM;                    /*              */
                union {                                 /* SCR          */
                      unsigned long long DLONG;         /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned long long    :61; /*              */
                             unsigned long long SMS: 3; /*    SMS       */
                             }           BIT;           /*              */
                      }         SCR;                    /*              */
                union {                                 /* STR          */
                      unsigned long long DLONG;         /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned long long     :44;/*              */
                             unsigned long long WR  : 2;/*    WR        */
                             unsigned long long RW  : 2;/*    RW        */
                             unsigned long long SRFC: 3;/*    SRFC      */
                             unsigned long long SWR : 1;/*    SWR       */
                             unsigned long long SRRD: 1;/*    SRRD      */
                             unsigned long long SRAS: 3;/*    SRAS      */
                             unsigned long long SRC : 3;/*    SRC       */
                             unsigned long long SCL : 3;/*    SCL       */
                             unsigned long long SRCD: 1;/*    SRCD      */
                             unsigned long long SRP : 1;/*    SRP       */
                             }           BIT;           /*              */
                      }         STR;                    /*              */
                char            wk1[16];                /*              */
                union {                                 /* SDR          */
                      unsigned long long DLONG;         /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned long long      :52;  /*           */
                             unsigned long long SPLIT: 4;  /* SPLIT     */
                             }           BIT;           /*              */
                      }         SDR;                    /*              */
                char            wk2[968];               /*              */
                union {                                 /* DBK          */
                      unsigned long long DLONG;         /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned long long      :63;  /*           */
                             unsigned long long SDBUP: 1;  /* SDBUP     */
                             }           BIT;           /*              */
                      }         DBK;                    /*              */
};                                                      /*              */
struct st_pcic {                                        /* struct PCIC  */
               union {                                  /* PCIECR       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :31;       /*              */
                            unsigned int ENBL: 1;       /*    ENBL      */
                            }     BIT;                  /*              */
                     }          PCIECR;                 /*              */
               char             wk1[262132];            /*              */
               unsigned short   PCIVID;                 /* PCIVID       */
               unsigned short   PCIDID;                 /* PCIDID       */
               union {                                  /* PCICMD       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :6;     /*              */
                            unsigned short FIBBE:1;     /*    FIBBE     */
                            unsigned short SERRE:1;     /*    SERRE     */
                            unsigned short WCC  :1;     /*    WCC       */
                            unsigned short PER  :1;     /*    PER       */
                            unsigned short VGAPS:1;     /*    VGAPS     */
                            unsigned short MWIE :1;     /*    MWIE      */
                            unsigned short SC   :1;     /*    SC        */
                            unsigned short BM   :1;     /*    BM        */
                            unsigned short MS   :1;     /*    MS        */
                            unsigned short IOS  :1;     /*    IOS       */
                            }       BIT;                /*              */
                     }          PCICMD;                 /*              */
               union {                                  /* PCISTATUS    */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short DPE   :1;    /*    DPE       */
                            unsigned short SSE   :1;    /*    SSE       */
                            unsigned short RMA   :1;    /*    RMA       */
                            unsigned short RTA   :1;    /*    RTA       */
                            unsigned short STA   :1;    /*    STA       */
                            unsigned short DEVSEL:2;    /*    DEVSEL    */
                            unsigned short MDPE  :1;    /*    MDPE      */
                            unsigned short FBBC  :1;    /*    FBBC      */
                            unsigned short       :1;    /*              */
                            unsigned short _66C  :1;    /*    66C       */
                            unsigned short CL    :1;    /*    CL        */
                            }       BIT;                /*              */
                     }          PCISTATUS;              /*              */
               unsigned char    PCIRID;                 /* PCIRID       */
               union {                                  /* PCIPIF       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char MIDED:1;      /*    MIDED     */
                            unsigned char      :3;      /*              */
                            unsigned char PIS  :1;      /*    PIS       */
                            unsigned char OMS  :1;      /*    OMS       */
                            unsigned char PIP  :1;      /*    PIP       */
                            unsigned char OMP  :1;      /*    OMP       */
                            }      BIT;                 /*              */
                     }          PCIPIF;                 /*              */
               unsigned char    PCISUB;                 /* PCISUB       */
               unsigned char    PCIBCC;                 /* PCIBCC       */
               unsigned char    PCICLS;                 /* PCICLS       */
               unsigned char    PCILTM;                 /* PCILTM       */
               union {                                  /* PCIHDR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char MFE:1;        /*    MFE       */
                            unsigned char HDR:7;        /*    HDR       */
                            }      BIT;                 /*              */
                     }          PCIHDR;                 /*              */
               union {                                  /* PCIBIST      */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BISTC:1;      /*    BISTC     */
                            }      BIT;                 /*              */
                     }          PCIBIST;                /*              */
               union {                                  /* PCIIBAR      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int IOB:24;        /*    IOB       */
                            unsigned int    : 7;        /*              */
                            unsigned int ASI: 1;        /*    ASI       */
                            }     BIT;                  /*              */
                     }          PCIIBAR;                /*              */
               union {                                  /* PCIMBAR0     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int MBA:12;        /*    MBA       */
                            unsigned int    :16;        /*              */
                            unsigned int LAP: 1;        /*    LAP       */
                            unsigned int LAT: 2;        /*    LAT       */
                            unsigned int ASI: 1;        /*    ASI       */
                            }     BIT;                  /*              */
                     }          PCIMBAR0;               /*              */
               union {                                  /* PCIMBAR1     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int MBA:12;        /*    MBA       */
                            unsigned int    :16;        /*              */
                            unsigned int LAP: 1;        /*    LAP       */
                            unsigned int LAT: 2;        /*    LAT       */
                            unsigned int ASI: 1;        /*    ASI       */
                            }     BIT;                  /*              */
                     }          PCIMBAR1;               /*              */
               char             wk2[16];                /*              */
               unsigned short   PCISVID;                /* PCISVID      */
               unsigned short   PCISID;                 /* PCISID       */
               char             wk3[4];                 /*              */
               unsigned char    PCICP;                  /* PCICP        */
               char             wk4[7];                 /*              */
               unsigned char    PCIINTLINE;             /* PCIINTLINE   */
               unsigned char    PCIINTPIN;              /* PCIINTPIN    */
               unsigned char    PCIMINGNT;              /* PCIMINGNT    */
               unsigned char    PCIMAXLAT;              /* PCIMAXLAT    */
               unsigned char    PCICID;                 /* PCICID       */
               unsigned char    PCINIP;                 /* PCINIP       */
               union {                                  /* PCIPMC       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PMCS:4;      /*    PMCS      */
                            unsigned short D2S :1;      /*    D2S       */
                            unsigned short D1S :1;      /*    D1S       */
                            unsigned short     :3;      /*              */
                            unsigned short DSI :1;      /*    DSI       */
                            unsigned short     :1;      /*              */
                            unsigned short PMEC:1;      /*    PMEC      */
                            unsigned short PMV :3;      /*    PMV       */
                            }       BIT;                /*              */
                     }          PCIPMC;                 /*              */
               union {                                  /* PCIPMCSR     */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PMES :1;     /*    PMES      */
                            unsigned short DSC  :2;     /*    DSC       */
                            unsigned short DSL  :4;     /*    DSL       */
                            unsigned short PMEEN:1;     /*    PMEEN     */
                            unsigned short      :6;     /*              */
                            unsigned short PS   :2;     /*    PS        */
                            }       BIT;                /*              */
                     }          PCIPMCSR;               /*              */
               union {                                  /* PCIPMCSRBSE  */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BPCCEN:1;     /*    BPCCEN    */
                            unsigned char B2B3N :1;     /*    B2B3N     */
                            }      BIT;                 /*              */
                     }          PCIPMCSRBSE;            /*              */
               unsigned char    PCIPCDD;                /* PCIPCDD      */
               char             wk5[184];               /*              */
               union {                                  /* PCICR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :20;     /*              */
                            unsigned int PFCS  : 1;     /*    PFCS      */
                            unsigned int FTO   : 1;     /*    FTO       */
                            unsigned int PFE   : 1;     /*    PFE       */
                            unsigned int TBS   : 1;     /*    TBS       */
                            unsigned int       : 1;     /*              */
                            unsigned int BMAM  : 1;     /*    BMAM      */
                            unsigned int       : 3;     /*              */
                            unsigned int IOCS  : 1;     /*    IOCS      */
                            unsigned int RSTCTL: 1;     /*    RSTCTL    */
                            unsigned int CFINIT: 1;     /*    CFINIT    */
                            }     BIT;                  /*              */
                     }          PCICR;                  /*              */
               union {                                  /* PCILSR0      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      : 3;      /*              */
                            unsigned int LSR  : 9;      /*    LSR       */
                            unsigned int      :19;      /*              */
                            unsigned int MBARE: 1;      /*    MBARE     */
                            }     BIT;                  /*              */
                     }          PCILSR0;                /*              */
               union {                                  /* PCILSR1      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      : 3;      /*              */
                            unsigned int LSR  : 9;      /*    LSR       */
                            unsigned int      :19;      /*              */
                            unsigned int MBARE: 1;      /*    MBARE     */
                            }     BIT;                  /*              */
                     }          PCILSR1;                /*              */
               union {                                  /* PCILAR0      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int LAR:12;        /*    LAR       */
                            }     BIT;                  /*              */
                     }          PCILAR0;                /*              */
               union {                                  /* PCILAR1      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int LAR:12;        /*    LAR       */
                            }     BIT;                  /*              */
                     }          PCILAR1;                /*              */
               union {                                  /* PCIIR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :17;     /*              */
                            unsigned int TTADI : 1;     /*    TTADI     */
                            unsigned int       : 4;     /*              */
                            unsigned int TMTOI : 1;     /*    TMTOI     */
                            unsigned int MDEI  : 1;     /*    MDEI      */
                            unsigned int APEDI : 1;     /*    APEDI     */
                            unsigned int SDI   : 1;     /*    SDI       */
                            unsigned int DPEITW: 1;     /*    DPEITW    */
                            unsigned int PEDITR: 1;     /*    PEDITR    */
                            unsigned int TADIM : 1;     /*    TADIM     */
                            unsigned int MADIM : 1;     /*    MADIM     */
                            unsigned int MWPDI : 1;     /*    MWPDI     */
                            unsigned int MRDPEI: 1;     /*    MRDPEI    */
                            }     BIT;                  /*              */
                     }          PCIIR;                  /*              */
               union {                                  /* PCIIMR       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :17;    /*              */
                            unsigned int TTADIM : 1;    /*    TTADIM    */
                            unsigned int        : 4;    /*              */
                            unsigned int TMTOIM : 1;    /*    TMTOIM    */
                            unsigned int MDEIM  : 1;    /*    MDEIM     */
                            unsigned int APEDIM : 1;    /*    APEDIM    */
                            unsigned int SDIM   : 1;    /*    SDIM      */
                            unsigned int DPEITWM: 1;    /*    DPEITWM   */
                            unsigned int PEDITRM: 1;    /*    PEDITRM   */
                            unsigned int TADIMM : 1;    /*    TADIMM    */
                            unsigned int MADIMM : 1;    /*    MADIMM    */
                            unsigned int MWPDIM : 1;    /*    MWPDIM    */
                            unsigned int MRDPEIM: 1;    /*    MRDPEIM   */
                            }     BIT;                  /*              */
                     }          PCIIMR;                 /*              */
               unsigned int     PCIAIR;                 /* PCIAIR       */
               union {                                  /* PCICIR       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int PIOTEM: 1;     /*    PIOTEM    */
                            unsigned int       : 4;     /*              */
                            unsigned int RWTET : 1;     /*    RWTET     */
                            unsigned int       :22;     /*              */
                            unsigned int ECL   : 4;     /*    ECL       */
                            }     BIT;                  /*              */
                     }          PCICIR;                 /*              */
               char             wk6[12];                /*              */
               union {                                  /* PCIAINT      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :18;      /*              */
                            unsigned int MBI  : 1;      /*    MBI       */
                            unsigned int TBTOI: 1;      /*    TBTOI     */
                            unsigned int MBTOI: 1;      /*    MBTOI     */
                            unsigned int      : 7;      /*              */
                            unsigned int TAI  : 1;      /*    TAI       */
                            unsigned int MAI  : 1;      /*    MAI       */
                            unsigned int RDPEI: 1;      /*    RDPEI     */
                            unsigned int WDPEI: 1;      /*    WDPEI     */
                            }     BIT;                  /*              */
                     }          PCIAINT;                /*              */
               union {                                  /* PCIAINTM     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :18;     /*              */
                            unsigned int MBIM  : 1;     /*    MBIM      */
                            unsigned int TBTOIM: 1;     /*    TBTOIM    */
                            unsigned int MBTOIM: 1;     /*    MBTOIM    */
                            unsigned int       : 7;     /*              */
                            unsigned int TAIM  : 1;     /*    TAIM      */
                            unsigned int MAIM  : 1;     /*    MAIM      */
                            unsigned int RDPEIM: 1;     /*    RDPEIM    */
                            unsigned int WDPEIM: 1;     /*    WDPEIM    */
                            }     BIT;                  /*              */
                     }          PCIAINTM;               /*              */
               union {                                  /* PCIBMIR      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int        :27;    /*              */
                            unsigned int REQ4BME: 1;    /*    REQ4BME   */
                            unsigned int REQ3BME: 1;    /*    REQ3BME   */
                            unsigned int REQ2BME: 1;    /*    REQ2BME   */
                            unsigned int REQ1BME: 1;    /*    REQ1BME   */
                            unsigned int REQ0BME: 1;    /*    REQ0BME   */
                            }     BIT;                  /*              */
                     }          PCIBMIR;                /*              */
               char             wk7[132];               /*              */
               union {                                  /* PCIPAR       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int CCIE: 1;       /*    CCIE      */
                            unsigned int     : 7;       /*              */
                            unsigned int BN  : 8;       /*    BN        */
                            unsigned int DN  : 5;       /*    DN        */
                            unsigned int FN  : 3;       /*    FN        */
                            unsigned int CRA : 6;       /*    CRA       */
                            }     BIT;                  /*              */
                     }          PCIPAR;                 /*              */
               char             wk8[8];                 /*              */
               union {                                  /* PCIPINT      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :28;      /*              */
                            unsigned int PMD3H: 1;      /*    PMD3H     */
                            unsigned int PMD2 : 1;      /*    PMD2      */
                            unsigned int PMD1 : 1;      /*    PMD1      */
                            unsigned int PMD0 : 1;      /*    PMD0      */
                            }     BIT;                  /*              */
                     }          PCIPINT;                /*              */
               union {                                  /* PCIPINTM     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :28;     /*              */
                            unsigned int PMD3HM: 1;     /*    PMD3HM    */
                            unsigned int PMD2M : 1;     /*    PMD2M     */
                            unsigned int PMD1M : 1;     /*    PMD1M     */
                            unsigned int PMD0M : 1;     /*    PMD0M     */
                            }     BIT;                  /*              */
                     }          PCIPINTM;               /*              */
               char             wk9[12];                /*              */
               union {                                  /* PCIMBR0      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int PMSBA0:14;     /*    PMSBA0    */
                            }     BIT;                  /*              */
                     }          PCIMBR0;                /*              */
               union {                                  /* PCIMBMR0     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :8;      /*              */
                            unsigned int MSBAM0:6;      /*    MSBAM0    */
                            }     BIT;                  /*              */
                     }          PCIMBMR0;               /*              */
               union {                                  /* PCIMBR1      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int PMSBA1:14;     /*    PMSBA1    */
                            }     BIT;                  /*              */
                     }          PCIMBR1;                /*              */
               union {                                  /* PCIMBMR1     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       :6;      /*              */
                            unsigned int MSBAM1:8;      /*    MSBAM1    */
                            }     BIT;                  /*              */
                     }          PCIMBMR1;               /*              */
               union {                                  /* PCIMBR2      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int PMSBA2:14;     /*    PMSBA2    */
                            }     BIT;                  /*              */
                     }          PCIMBR2;                /*              */
               union {                                  /* PCIMBMR2     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int       : 3;     /*              */
                            unsigned int MSBAM2:11;     /*    MSBAM2    */
                            }     BIT;                  /*              */
                     }          PCIMBMR2;               /*              */
               union {                                  /* PCIIOBR      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int PIOSBA:14;     /*    PIOSBA    */
                            }     BIT;                  /*              */
                     }          PCIIOBR;                /*              */
               union {                                  /* PCIIOBMR     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :11;      /*              */
                            unsigned int IOBAM: 3;      /*    IOBAM     */
                            }     BIT;                  /*              */
                     }          PCIIOBMR;               /*              */
               char             wk10[16];               /*              */
               union {                                  /* PCICSCR0     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :27;      /*              */
                            unsigned int RANGE: 3;      /*    RANGE     */
                            unsigned int SNPMD: 2;      /*    SNPMD     */
                            }     BIT;                  /*              */
                     }          PCICSCR0;               /*              */
               union {                                  /* PCICSCR1     */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int      :27;      /*              */
                            unsigned int RANGE: 3;      /*    RANGE     */
                            unsigned int SNPMD: 2;      /*    SNPMD     */
                            }     BIT;                  /*              */
                     }          PCICSCR1;               /*              */
               void            *PCICSAR0;               /* PCICSAR0     */
               void            *PCICSAR1;               /* PCICSAR1     */
               unsigned int     PCIPDR;                 /* PCIPDR       */
};                                                      /*              */
struct st_dmac {                                        /* struct DMAC  */
               union {                                  /* DMAOR0       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :2;      /*              */
                            unsigned short CMS :2;      /*    CMS       */
                            unsigned short     :2;      /*              */
                            unsigned short PR  :2;      /*    PR        */
                            unsigned short     :5;      /*              */
                            unsigned short AE  :1;      /*    AE        */
                            unsigned short NMIF:1;      /*    NMIF      */
                            unsigned short DME :1;      /*    DME       */
                            }       BIT;                /*              */
                     }          DMAOR0;                 /*              */
               char             wk1[3998];              /*              */
               union {                                  /* DMARS0       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short C1MID:6;     /*    C1MID     */
                            unsigned short C1RID:2;     /*    C1RID     */
                            unsigned short C0MID:6;     /*    C0MID     */
                            unsigned short C0RID:2;     /*    C0RID     */
                            }       BIT;                /*              */
                     }          DMARS0;                 /*              */
               char             wk2[2];                 /*              */
               union {                                  /* DMARS1       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short C3MID:6;     /*    C3MID     */
                            unsigned short C3RID:2;     /*    C3RID     */
                            unsigned short C2MID:6;     /*    C2MID     */
                            unsigned short C2RID:2;     /*    C2RID     */
                            }       BIT;                /*              */
                     }          DMARS1;                 /*              */
               char             wk3[2];                 /*              */
               union {                                  /* DMARS2       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short C5MID:6;     /*    C5MID     */
                            unsigned short C5RID:2;     /*    C5RID     */
                            unsigned short C4MID:6;     /*    C4MID     */
                            unsigned short C4RID:2;     /*    C4RID     */
                            }       BIT;                /*              */
                     }          DMARS2;                 /*              */
               char             wk4[61526];             /*              */
               union {                                  /* DMAOR1       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :2;      /*              */
                            unsigned short CMS :2;      /*    CMS       */
                            unsigned short     :2;      /*              */
                            unsigned short PR  :2;      /*    PR        */
                            unsigned short     :5;      /*              */
                            unsigned short AE  :1;      /*    AE        */
                            unsigned short NMIF:1;      /*    NMIF      */
                            unsigned short DME :1;      /*    DME       */
                            }       BIT;                /*              */
                     }          DMAOR1;                 /*              */
};                                                      /*              */
struct st_dmac0 {                                       /* struct DMAC0 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    TCR;                    /* TCR          */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int     :1;       /*              */
                             unsigned int LCKN:1;       /*    LCKN      */
                             unsigned int     :2;       /*              */
                             unsigned int RPT :3;       /*    RPT       */
                             unsigned int     :1;       /*              */
                             unsigned int DO  :1;       /*    DO        */
                             unsigned int RL  :1;       /*    RL        */
                             unsigned int     :1;       /*              */
                             unsigned int TS2 :1;       /*    TS2       */
                             unsigned int HE  :1;       /*    HE        */
                             unsigned int HIE :1;       /*    HIE       */
                             unsigned int AM  :1;       /*    AM        */
                             unsigned int AL  :1;       /*    AL        */
                             unsigned int DM  :2;       /*    DM        */
                             unsigned int SM  :2;       /*    SM        */
                             unsigned int RS  :4;       /*    RS        */
                             unsigned int DL  :1;       /*    DL        */
                             unsigned int DS  :1;       /*    DS        */
                             unsigned int TB  :1;       /*    TB        */
                             unsigned int TS  :2;       /*    TS        */
                             unsigned int IE  :1;       /*    IE        */
                             unsigned int TE  :1;       /*    TE        */
                             unsigned int DE  :1;       /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
                char            wk[240];                /*              */
                void           *SARB;                   /* SARB         */
                void           *DARB;                   /* DARB         */
                unsigned int    TCRB;                   /* TCRB         */
};                                                      /*              */
struct st_dmac4 {                                       /* struct DMAC4 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    TCR;                    /* TCR          */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int     :1;       /*              */
                             unsigned int LCKN:1;       /*    LCKN      */
                             unsigned int     :9;       /*              */
                             unsigned int TS2 :1;       /*    TS2       */
                             unsigned int     :4;       /*              */
                             unsigned int DM  :2;       /*    DM        */
                             unsigned int SM  :2;       /*    SM        */
                             unsigned int RS  :4;       /*    RS        */
                             unsigned int     :2;       /*              */
                             unsigned int TB  :1;       /*    TB        */
                             unsigned int TS  :2;       /*    TS        */
                             unsigned int IE  :1;       /*    IE        */
                             unsigned int TE  :1;       /*    TE        */
                             unsigned int DE  :1;       /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
};                                                      /*              */
struct st_dmac6 {                                       /* struct DMAC6 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    TCR;                    /* TCR          */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int     :1;       /*              */
                             unsigned int LCKN:1;       /*    LCKN      */
                             unsigned int     :2;       /*              */
                             unsigned int RPT :3;       /*    RPT       */
                             unsigned int     :4;       /*              */
                             unsigned int TS2 :1;       /*    TS2       */
                             unsigned int HE  :1;       /*    HE        */
                             unsigned int HIE :1;       /*    HIE       */
                             unsigned int     :2;       /*              */
                             unsigned int DM  :2;       /*    DM        */
                             unsigned int SM  :2;       /*    SM        */
                             unsigned int RS  :4;       /*    RS        */
                             unsigned int     :2;       /*              */
                             unsigned int TB  :1;       /*    TB        */
                             unsigned int TS  :2;       /*    TS        */
                             unsigned int IE  :1;       /*    IE        */
                             unsigned int TE  :1;       /*    TE        */
                             unsigned int DE  :1;       /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
                char            wk[240];                /*              */
                void           *SARB;                   /* SARB         */
                void           *DARB;                   /* DARB         */
                unsigned int    TCRB;                   /* TCRB         */
};                                                      /*              */
struct st_cpg {                                         /* struct CPG   */
              union {                                   /* FRQCR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int     : 7;        /*              */
                           unsigned int IFC : 1;        /*    IFC       */
                           unsigned int CFC : 4;        /*    CFC       */
                           unsigned int BFC : 4;        /*    BFC       */
                           unsigned int     :12;        /*              */
                           unsigned int P1FC: 4;        /*    P1FC      */
                           }     BIT;                   /*              */
                    }           FRQCR;                  /*              */
              char              wk[32];                 /*              */
              union {                                   /* PLLCR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int      :30;       /*              */
                           unsigned int CKOFF: 1;       /*    CKOFF     */
                           }     BIT;                   /*              */
                    }           PLLCR;                  /*              */
};                                                      /*              */
struct st_wdt {                                         /* struct WDT   */
              unsigned int      WDTST;                  /* WDTST        */
              union {                                   /* WDTCSR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int     :24;        /*              */
                           unsigned int TME : 1;        /*    TME       */
                           unsigned int WTIT: 1;        /*    WT/IT     */
                           unsigned int RSTS: 1;        /*    RSTS      */
                           unsigned int WOVF: 1;        /*    WOVF      */
                           unsigned int IOVF: 1;        /*    IOVF      */
                           }     BIT;                   /*              */
                    }           WDTCSR;                 /*              */
              unsigned int      WDTBST;                 /* WDTBST       */
              char              wk1[4];                 /*              */
              unsigned int      WDTCNT;                 /* WDTCNT       */
              char              wk2[4];                 /*              */
              unsigned int      WDTBCNT;                /* WDTBCNT      */
};                                                      /*              */
union un_mstpcr {                                       /* union MSTPCR */
                unsigned int LONG;                      /*  Long Access */
                struct {                                /*  Bit  Access */
                       unsigned int        :10;         /*              */
                       unsigned int _DMAC  : 1;         /*    DMAC      */
                       unsigned int        : 7;         /*              */
                       unsigned int _MMCIF : 1;         /*    MMCIF     */
                       unsigned int _FLCTL : 1;         /*    FLCTL     */
                       unsigned int _RTC   : 1;         /*    RTC       */
                       unsigned int _TMU0_2: 1;         /*    TMU0_2    */
                       unsigned int _TMU3_5: 1;         /*    TMU3_5    */
                       unsigned int _CMT   : 1;         /*    CMT       */
                       unsigned int        : 2;         /*              */
                       unsigned int _SCIF0 : 1;         /*    SCIF0     */
                       unsigned int _SCIF1 : 1;         /*    SCIF1     */
                       unsigned int _SIOF  : 1;         /*    SIOF      */
                       unsigned int _HSPI  : 1;         /*    HSPI      */
                       unsigned int _SSI   : 1;         /*    SSI       */
                       unsigned int _HAC   : 1;         /*    HAC       */
                       }     BIT;                       /*              */
};                                                      /*              */
struct st_tmu  {                                        /* struct TMU   */
               union {                                  /* TOCR         */
                     unsigned char  BYTE;               /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :7;       /*              */
                            unsigned char TCOE:1;       /*    TCOE      */
                            }       BIT;                /*              */
                     }          TOCR;                   /*              */
               char             wk1[3];                 /*              */
               union {                                  /* TSTR0        */
                     unsigned char  BYTE;               /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :5;       /*              */
                            unsigned char STR2:1;       /*    STR2      */
                            unsigned char STR1:1;       /*    STR1      */
                            unsigned char STR0:1;       /*    STR0      */
                            }       BIT;                /*              */
                     }          TSTR0;                  /*              */
               char             wk2[262143];            /*              */
               union {                                  /* TSTR1        */
                     unsigned char  BYTE;               /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :5;       /*              */
                            unsigned char STR5:1;       /*    STR5      */
                            unsigned char STR4:1;       /*    STR4      */
                            unsigned char STR3:1;       /*    STR3      */
                            }       BIT;                /*              */
                     }          TSTR1;                  /*              */
};                                                      /*              */
struct st_tmu0 {                                        /* struct TMU0  */
               unsigned int     TCOR;                   /* TCOR         */
               unsigned int     TCNT;                   /* TCNT         */
               union {                                  /* TCR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :7;      /*              */
                            unsigned short UNF :1;      /*    UNF       */
                            unsigned short     :2;      /*              */
                            unsigned short UNIE:1;      /*    UNIE      */
                            unsigned short CKEG:2;      /*    CKEG      */
                            unsigned short TPSC:3;      /*    TPSC      */
                            }       BIT;                /*              */
                     }          TCR;                    /*              */
};                                                      /*              */
struct st_tmu2 {                                        /* struct TMU2  */
               unsigned int     TCOR;                   /* TCOR         */
               unsigned int     TCNT;                   /* TCNT         */
               union {                                  /* TCR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :6;      /*              */
                            unsigned short ICPF:1;      /*    ICPF      */
                            unsigned short UNF :1;      /*    UNF       */
                            unsigned short ICPE:2;      /*    ICPE      */
                            unsigned short UNIE:1;      /*    UNIE      */
                            unsigned short CKEG:2;      /*    CKEG      */
                            unsigned short TPSC:3;      /*    TPSC      */
                            }       BIT;                /*              */
                     }          TCR;                    /*              */
               unsigned int     TCPR;                   /* TCPR         */
};                                                      /*              */
struct st_cmt {                                         /* struct CMT   */
              union {                                   /* CMTCFG       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :15;       /*              */
                            unsigned int ROT0: 1;       /*    ROT0      */
                            unsigned int     : 4;       /*              */
                            unsigned int ED1 : 2;       /*    ED1       */
                            unsigned int ED0 : 2;       /*    ED0       */
                            unsigned int     : 2;       /*              */
                            unsigned int FRTM: 1;       /*    FRTM      */
                            unsigned int     : 3;       /*              */
                            unsigned int T01 : 2;       /*    T01       */
                            }       BIT;                /*              */
                     }          CMTCFG;                 /*              */
               unsigned int     CMTFRT;                 /* CMTFRT       */
               union {                                  /* CMTCTL       */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int TE3 :1;        /*    TE3       */
                            unsigned int TE2 :1;        /*    TE2       */
                            unsigned int TE1 :1;        /*    TE1       */
                            unsigned int TE0 :1;        /*    TE0       */
                            unsigned int IOE3:1;        /*    IOE3      */
                            unsigned int IOE2:1;        /*    IOE2      */
                            unsigned int IOE1:1;        /*    IOE1      */
                            unsigned int IOE0:1;        /*    IOE0      */
                            unsigned int ICE3:1;        /*    ICE3      */
                            unsigned int ICE2:1;        /*    ICE2      */
                            unsigned int ICE1:1;        /*    ICE1      */
                            unsigned int ICE0:1;        /*    ICE0      */
                            unsigned int     :2;        /*              */
                            unsigned int IEE1:1;        /*    IEE1      */
                            unsigned int IEE0:1;        /*    IEE0      */
                            unsigned int CC3 :2;        /*    CC3       */
                            unsigned int CC2 :2;        /*    CC2       */
                            unsigned int CC1 :2;        /*    CC1       */
                            unsigned int CC0 :2;        /*    CC0       */
                            unsigned int     :2;        /*              */
                            unsigned int SI1 :1;        /*    SI1       */
                            unsigned int SI0 :1;        /*    SI0       */
                            unsigned int OP3 :1;        /*    OP3       */
                            unsigned int OP2 :1;        /*    OP2       */
                            unsigned int OP1 :1;        /*    OP1       */
                            unsigned int OP0 :1;        /*    OP0       */
                            }       BIT;                /*              */
                     }          CMTCTL;                 /*              */
               union {                                  /* CMTIRQS      */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :20;        /*              */
                            unsigned int IO3: 1;        /*    IO3       */
                            unsigned int IO2: 1;        /*    IO2       */
                            unsigned int IO1: 1;        /*    IO1       */
                            unsigned int IO0: 1;        /*    IO0       */
                            unsigned int IC3: 1;        /*    IC3       */
                            unsigned int IC2: 1;        /*    IC2       */
                            unsigned int IC1: 1;        /*    IC1       */
                            unsigned int IC0: 1;        /*    IC0       */
                            unsigned int    : 2;        /*              */
                            unsigned int IE1: 1;        /*    IE1       */
                            unsigned int IE0: 1;        /*    IE0       */
                            }       BIT;                /*              */
                     }          CMTIRQS;                /*              */
};                                                      /*              */
struct st_cmt0 {                                        /* struct CMT0,1*/
               unsigned int     CMTCHT;                 /* CMTCHT       */
               char             wk1[12];                /*              */
               unsigned int     CMTCHST;                /* CMTCHST      */
               char             wk2[12];                /*              */
               unsigned int     CMTCHC;                 /* CMTCHC       */
};                                                      /*              */
struct st_cmt2 {                                        /* struct CMT2,3*/
               unsigned int     CMTCHT;                 /* CMTCHT       */
               char             wk1[28];                /*              */
               unsigned int     CMTCHC;                 /* CMTCHC       */
};                                                      /*              */
struct st_rtc {                                         /* struct RTC   */
              unsigned char     R64CNT;                 /* R64CNT       */
              char              wk1[3];                 /*              */
              union {                                   /* RSECCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char S10:3;         /*     10sec    */
                           unsigned char S1 :4;         /*      1sec    */
                           }      BIT;                  /*              */
                    }           RSECCNT;                /*              */
              char              wk2[3];                 /*              */
              union {                                   /* RMINCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char M10:3;         /*     10min    */
                           unsigned char M1 :4;         /*      1min    */
                           }      BIT;                  /*              */
                    }           RMINCNT;                /*              */
              char              wk3[3];                 /*              */
              union {                                   /* RHRCNT       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :2;         /*              */
                           unsigned char H10:2;         /*     10sec    */
                           unsigned char H1 :4;         /*      1sec    */
                           }      BIT;                  /*              */
                    }           RHRCNT;                 /*              */
              char              wk4[3];                 /*              */
              union {                                   /* RWKCNT       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :5;          /*              */
                           unsigned char WK:3;          /*     week     */
                           }      BIT;                  /*              */
                    }           RWKCNT;                 /*              */
              char              wk5[3];                 /*              */
              union {                                   /* RDAYCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :2;         /*              */
                           unsigned char D10:2;         /*     10day    */
                           unsigned char D1 :4;         /*      1day    */
                           }      BIT;                  /*              */
                    }           RDAYCNT;                /*              */
              char              wk6[3];                 /*              */
              union {                                   /* RMONCNT      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :3;         /*              */
                           unsigned char M10:1;         /*     10mon    */
                           unsigned char M1 :4;         /*      1mon    */
                           }      BIT;                  /*              */
                    }           RMONCNT;                /*              */
              char              wk7[3];                 /*              */
              union {                                   /* RYRCNT       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short Y1000:4;      /*   1000year   */
                           unsigned short Y100 :4;      /*    100year   */
                           unsigned short Y10  :4;      /*     10year   */
                           unsigned short Y1   :4;      /*      1year   */
                           }       BIT;                 /*              */
                    }           RYRCNT;                 /*              */
              char              wk8[2];                 /*              */
              union {                                   /* RSECAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*              */
                           unsigned char S10:3;         /*     10sec    */
                           unsigned char S1 :4;         /*      1sec    */
                           }      BIT;                  /*              */
                    }           RSECAR;                 /*              */
              char              wk9[3];                 /*              */
              union {                                   /* RMINAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*              */
                           unsigned char M10:3;         /*     10min    */
                           unsigned char M1 :4;         /*      1min    */
                           }      BIT;                  /*              */
                    }           RMINAR;                 /*              */
              char              wk10[3];                /*              */
              union {                                   /* RHRAR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*              */
                           unsigned char    :1;         /*              */
                           unsigned char H10:2;         /*     10sec    */
                           unsigned char H1 :4;         /*      1sec    */
                           }      BIT;                  /*              */
                    }           RHRAR;                  /*              */
              char              wk11[3];                /*              */
              union {                                   /* RWKAR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*              */
                           unsigned char    :4;         /*              */
                           unsigned char WK :3;         /*     week     */
                           }      BIT;                  /*              */
                    }           RWKAR;                  /*              */
              char              wk12[3];                /*              */
              union {                                   /* RDAYAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*              */
                           unsigned char    :1;         /*              */
                           unsigned char D10:2;         /*     10day    */
                           unsigned char D1 :4;         /*      1day    */
                           }      BIT;                  /*              */
                    }           RDAYAR;                 /*              */
              char              wk13[3];                /*              */
              union {                                   /* RMONAR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ENB:1;         /*              */
                           unsigned char    :2;         /*              */
                           unsigned char M10:1;         /*     10mon    */
                           unsigned char M1 :4;         /*      1mon    */
                           }      BIT;                  /*              */
                    }           RMONAR;                 /*              */
              char              wk14[3];                /*              */
              union {                                   /* RCR1         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CF :1;         /*     CF       */
                           unsigned char    :2;         /*              */
                           unsigned char CIE:1;         /*     CIE      */
                           unsigned char AIE:1;         /*     AIE      */
                           unsigned char    :1;         /*              */
                           unsigned char CRF:1;         /*     CRF      */
                           unsigned char AF :1;         /*     AF       */
                           }      BIT;                  /*              */
                    }           RCR1;                   /*              */
              char              wk15[3];                /*              */
              union {                                   /* RCR2         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char PEF  :1;       /*     PEF      */
                           unsigned char PES  :3;       /*     PES      */
                           unsigned char RTCEN:1;       /*     RTCEN    */
                           unsigned char ADJ  :1;       /*     ADJ      */
                           unsigned char RESET:1;       /*     RESET    */
                           unsigned char START:1;       /*     START    */
                           }      BIT;                  /*              */
                    }           RCR2;                   /*              */
              char              wk16[19];               /*              */
              union {                                   /* RCR3         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char YENB:1;        /*     YENB     */
                           }      BIT;                  /*              */
                    }           RCR3;                   /*              */
              char              wk17[3];                /*              */
              union {                                   /* RYRAR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short Y1000:4;      /*   1000year   */
                           unsigned short Y100 :4;      /*    100year   */
                           unsigned short Y10  :4;      /*     10year   */
                           unsigned short Y1   :4;      /*      1year   */
                           }       BIT;                 /*              */
                    }           RYRAR;                  /*              */
};                                                      /*              */
struct st_scif0 {                                       /* struct SCIF0 */
               union {                                  /* SCSMR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short CA  :1;      /*    C/A       */
                            unsigned short CHR :1;      /*    CHR       */
                            unsigned short PE  :1;      /*    PE        */
                            unsigned short OE  :1;      /*    O/E       */
                            unsigned short STOP:1;      /*    STOP      */
                            unsigned short     :1;      /*              */
                            unsigned short CKS :2;      /*    CKS       */
                            }       BIT;                /*              */
                     }          SCSMR;                  /*              */
               char             wk1[2];                 /*              */
               unsigned char    SCBRR;                  /* SCBRR        */
               char             wk2[3];                 /*              */
               union {                                  /* SCSCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short TIE :1;      /*    TIE       */
                            unsigned short RIE :1;      /*    RIE       */
                            unsigned short TE  :1;      /*    TE        */
                            unsigned short RE  :1;      /*    RE        */
                            unsigned short REIE:1;      /*    REIE      */
                            unsigned short     :1;      /*              */
                            unsigned short CKE :2;      /*    CKE       */
                            }      BIT;                 /*              */
                     }          SCSCR;                  /*              */
               char             wk3[2];                 /*              */
               unsigned char    SCFTDR;                 /* SCFTDR       */
               char             wk4[3];                 /*              */
               union {                                  /* SCFSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*    PERC      */
                            unsigned short ER  :1;      /*    ER        */
                            unsigned short TEND:1;      /*    TEND      */
                            unsigned short TDFE:1;      /*    TDFE      */
                            unsigned short BRK :1;      /*    BRK       */
                            unsigned short FER :1;      /*    FER       */
                            unsigned short PER :1;      /*    PER       */
                            unsigned short RDF :1;      /*    RDF       */
                            unsigned short DR  :1;      /*    DR        */
                            }       BIT;                /*              */
                     }          SCFSR;                  /*              */
               char             wk5[2];                 /*              */
               unsigned char    SCFRDR;                 /* SCFRDR       */
               char             wk6[3];                 /*              */
               union {                                  /* SCFCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :5;     /*              */
                            unsigned short RSTRG:3;     /*    RSTRG     */
                            unsigned short RTRG :2;     /*    RTRG      */
                            unsigned short TTRG :2;     /*    TTRG      */
                            unsigned short MCE  :1;     /*    MCE       */
                            unsigned short TFCL :1;     /*    TFCL      */
                            unsigned short RFCL :1;     /*    RFCL      */
                            unsigned short LOOP :1;     /*    LOOP      */
                            }       BIT;                /*              */
                     }          SCFCR;                  /*              */
               char             wk7[2];                 /*              */
               union {                                  /* SCTFDR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short  :9;         /*              */
                            unsigned short T:7;         /*    T         */
                            }       BIT;                /*              */
                     }          SCTFDR;                 /*              */
               char             wk8[2];                 /*              */
               union {                                  /* SCRFDR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short  :9;         /*              */
                            unsigned short R:7;         /*    R         */
                            }       BIT;                /*              */
                     }          SCRFDR;                 /*              */
               char             wk9[2];                 /*              */
               union {                                  /* SCSPTR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short       :8;    /*              */
                            unsigned short RTSIO :1;    /*    RTSIO     */
                            unsigned short RTSDT :1;    /*    RTSDT     */
                            unsigned short CTSIO :1;    /*    CTSIO     */
                            unsigned short CTSDT :1;    /*    CTSDT     */
                            unsigned short SCKIO :1;    /*    SCKIO     */
                            unsigned short SCKDT :1;    /*    SCKDT     */
                            unsigned short SPB2IO:1;    /*    SPB2IO    */
                            unsigned short SPB2DT:1;    /*    SPB2DT    */
                            }       BIT;                /*              */
                     }          SCSPTR;                 /*              */
               char             wk10[2];                /*              */
               union {                                  /* SCLSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short     :15;     /*              */
                            unsigned short ORER: 1;     /*    ORER      */
                            }       BIT;                /*              */
                     }          SCLSR;                  /*              */
               char             wk11[2];                /*              */
               union {                                  /* SCRER        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short    :2;       /*              */
                            unsigned short PER:6;       /*    PER       */
                            unsigned short    :2;       /*              */
                            unsigned short FER:6;       /*    FER       */
                            }       BIT;                /*              */
                     }          SCRER;                  /*              */
};                                                      /*              */
struct st_scif1 {                                       /* struct SCIF1 */
               union {                                  /* SCSMR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short CA  :1;      /*    C/A       */
                            unsigned short CHR :1;      /*    CHR       */
                            unsigned short PE  :1;      /*    PE        */
                            unsigned short OE  :1;      /*    O/E       */
                            unsigned short STOP:1;      /*    STOP      */
                            unsigned short     :1;      /*              */
                            unsigned short CKS :2;      /*    CKS       */
                            }       BIT;                /*              */
                     }          SCSMR;                  /*              */
               char             wk1[2];                 /*              */
               unsigned char    SCBRR;                  /* SCBRR        */
               char             wk2[3];                 /*              */
               union {                                  /* SCSCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short TIE :1;      /*    TIE       */
                            unsigned short RIE :1;      /*    RIE       */
                            unsigned short TE  :1;      /*    TE        */
                            unsigned short RE  :1;      /*    RE        */
                            unsigned short REIE:1;      /*    REIE      */
                            unsigned short     :1;      /*              */
                            unsigned short CKE :2;      /*    CKE       */
                            }      BIT;                 /*              */
                     }          SCSCR;                  /*              */
               char             wk3[2];                 /*              */
               unsigned char    SCFTDR;                 /* SCFTDR       */
               char             wk4[3];                 /*              */
               union {                                  /* SCFSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*    PERC      */
                            unsigned short ER  :1;      /*    ER        */
                            unsigned short TEND:1;      /*    TEND      */
                            unsigned short TDFE:1;      /*    TDFE      */
                            unsigned short BRK :1;      /*    BRK       */
                            unsigned short FER :1;      /*    FER       */
                            unsigned short PER :1;      /*    PER       */
                            unsigned short RDF :1;      /*    RDF       */
                            unsigned short DR  :1;      /*    DR        */
                            }       BIT;                /*              */
                     }          SCFSR;                  /*              */
               char             wk5[2];                 /*              */
               unsigned char    SCFRDR;                 /* SCFRDR       */
               char             wk6[3];                 /*              */
               union {                                  /* SCFCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short RTRG:2;      /*    RTRG      */
                            unsigned short TTRG:2;      /*    TTRG      */
                            unsigned short     :1;      /*              */
                            unsigned short TFCL:1;      /*    TFCL      */
                            unsigned short RFCL:1;      /*    RFCL      */
                            unsigned short LOOP:1;      /*    LOOP      */
                            }       BIT;                /*              */
                     }          SCFCR;                  /*              */
               char             wk7[2];                 /*              */
               union {                                  /* SCTFDR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short  :9;         /*              */
                            unsigned short T:7;         /*    T         */
                            }       BIT;                /*              */
                     }          SCTFDR;                 /*              */
               char             wk8[2];                 /*              */
               union {                                  /* SCRFDR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short  :9;         /*              */
                            unsigned short R:7;         /*    R         */
                            }       BIT;                /*              */
                     }          SCRFDR;                 /*              */
               char             wk9[2];                 /*              */
               union {                                  /* SCSPTR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short       :12;   /*              */
                            unsigned short SCKIO : 1;   /*    SCKIO     */
                            unsigned short SCKDT : 1;   /*    SCKDT     */
                            unsigned short SPB2IO: 1;   /*    SPB2IO    */
                            unsigned short SPB2DT: 1;   /*    SPB2DT    */
                            }       BIT;                /*              */
                     }          SCSPTR;                 /*              */
               char             wk10[2];                /*              */
               union {                                  /* SCLSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short     :15;     /*              */
                            unsigned short ORER: 1;     /*    ORER      */
                            }       BIT;                /*              */
                     }          SCLSR;                  /*              */
               char             wk11[2];                /*              */
               union {                                  /* SCRER        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short    :2;       /*              */
                            unsigned short PER:6;       /*    PER       */
                            unsigned short    :2;       /*              */
                            unsigned short FER:6;       /*    FER       */
                            }       BIT;                /*              */
                     }          SCRER;                  /*              */
};                                                      /*              */
struct st_siof {                                        /* struct SIOF  */
               union {                                  /* SIMDR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short TRMD  :2;    /*    TRMD      */
                            unsigned short SYNCAT:1;    /*    SYNCAT    */
                            unsigned short REDG  :1;    /*    REDG      */
                            unsigned short FL    :4;    /*    FL        */
                            unsigned short TXDIZ :1;    /*    TXDIZ     */
                            unsigned short RCIM  :1;    /*    RCIM      */
                            unsigned short SYNCAC:1;    /*    SYNCAC    */
                            unsigned short SYNCDL:1;    /*    SYNCDL    */
                            }       BIT;                /*              */
                     }          SIMDR;                  /*              */
               union {                                  /* SISCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short MSSEL:1;     /*    MSSEL     */
                            unsigned short MSIMM:1;     /*    MSIMM     */
                            unsigned short      :1;     /*              */
                            unsigned short BRPS :5;     /*    BRPS      */
                            unsigned short      :5;     /*              */
                            unsigned short BRDV :3;     /*    BRDV      */
                            }       BIT;                /*              */
                     }          SISCR;                  /*              */
               union {                                  /* SITDAR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short TDLE :1;     /*    TDLE      */
                            unsigned short      :3;     /*              */
                            unsigned short TDLA :4;     /*    TDLA      */
                            unsigned short TDRE :1;     /*    TDRE      */
                            unsigned short TLREP:1;     /*    TLREP     */
                            unsigned short      :2;     /*              */
                            unsigned short TDRA :4;     /*    TDRA      */
                            }       BIT;                /*              */
                     }          SITDAR;                 /*              */
               union {                                  /* SIRDAR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short RDLE:1;      /*    RDLE      */
                            unsigned short     :3;      /*              */
                            unsigned short RDLA:4;      /*    RDLA      */
                            unsigned short RDRE:1;      /*    RDRE      */
                            unsigned short     :3;      /*              */
                            unsigned short RDRA:4;      /*    RDRA      */
                            }       BIT;                /*              */
                     }          SIRDAR;                 /*              */
               union {                                  /* SICDAR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short CD0E:1;      /*    CD0E      */
                            unsigned short     :3;      /*              */
                            unsigned short CD0A:4;      /*    CD0A      */
                            unsigned short CD1E:1;      /*    CD1E      */
                            unsigned short     :3;      /*              */
                            unsigned short CD1A:4;      /*    CD1A      */
                            }       BIT;                /*              */
                     }          SICDAR;                 /*              */
               char             wk1[2];                 /*              */
               union {                                  /* SICTR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short SCKE :1;     /*    SCKE      */
                            unsigned short FSE  :1;     /*    FSE       */
                            unsigned short      :4;     /*              */
                            unsigned short TXE  :1;     /*    TXE       */
                            unsigned short RXE  :1;     /*    RXE       */
                            unsigned short      :6;     /*              */
                            unsigned short TXRST:1;     /*    TXRST     */
                            unsigned short RXRST:1;     /*    RXRST     */
                            }       BIT;                /*              */
                     }          SICTR;                  /*              */
               char             wk2[2];                 /*              */
               union {                                  /* SIFCTR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short TFWM:3;      /*    TFWM      */
                            unsigned short TFUA:5;      /*    TFUA      */
                            unsigned short RFWM:3;      /*    RFWM      */
                            unsigned short RFUA:5;      /*    RFUA      */
                            }       BIT;                /*              */
                     }          SIFCTR;                 /*              */
               char             wk3[2];                 /*              */
               union {                                  /* SISTR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :1;     /*              */
                            unsigned short TCRDY:1;     /*    TCRDY     */
                            unsigned short TFEMP:1;     /*    TFEMP     */
                            unsigned short TDREQ:1;     /*    TDREQ     */
                            unsigned short      :1;     /*              */
                            unsigned short RCRDY:1;     /*    RCRDY     */
                            unsigned short RFFUL:1;     /*    RFFUL     */
                            unsigned short RDREQ:1;     /*    RDREQ     */
                            unsigned short      :2;     /*              */
                            unsigned short SAERR:1;     /*    SAERR     */
                            unsigned short FSERR:1;     /*    FSERR     */
                            unsigned short TFOVR:1;     /*    TFOVR     */
                            unsigned short TFUDR:1;     /*    TFUDR     */
                            unsigned short RFUDR:1;     /*    RFUDR     */
                            unsigned short RFOVR:1;     /*    RFOVR     */
                            }       BIT;                /*              */
                     }          SISTR;                  /*              */
               union {                                  /* SIIER        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short TDMAE :1;    /*    TDMAE     */
                            unsigned short TCRDYE:1;    /*    TCRDYE    */
                            unsigned short TFEMPE:1;    /*    TFEMPE    */
                            unsigned short TDREQE:1;    /*    TDREQE    */
                            unsigned short RDMAE :1;    /*    RDMAE     */
                            unsigned short RCRDYE:1;    /*    RCRDYE    */
                            unsigned short RFFULE:1;    /*    RFFULE    */
                            unsigned short RDREQE:1;    /*    RDREQE    */
                            unsigned short       :2;    /*              */
                            unsigned short SAERRE:1;    /*    SAERRE    */
                            unsigned short FSERRE:1;    /*    FSERRE    */
                            unsigned short TFOVRE:1;    /*    TFOVRE    */
                            unsigned short TFUDRE:1;    /*    TFUDRE    */
                            unsigned short RFUDRE:1;    /*    RFUDRE    */
                            unsigned short RFOVRE:1;    /*    RFOVRE    */
                            }       BIT;                /*              */
                     }          SIIER;                  /*              */
               char             wk4[8];                 /*              */
               union {                                  /* SITDR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int SITDL:16;      /*    SITDL     */
                            unsigned int SITDR:16;      /*    SITDR     */
                            }     BIT;                  /*              */
                     }          SITDR;                  /*              */
               union {                                  /* SIRDR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int SIRDL:16;      /*    SIRDL     */
                            unsigned int SIRDR:16;      /*    SIRDR     */
                            }     BIT;                  /*              */
                     }          SIRDR;                  /*              */
               union {                                  /* SITCR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int SITC0:16;      /*    SITC0     */
                            unsigned int SITC1:16;      /*    SITC1     */
                            }     BIT;                  /*              */
                     }          SITCR;                  /*              */
               union {                                  /* SIRCR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int SIRC0:16;      /*    SIRC0     */
                            unsigned int SIRC1:16;      /*    SIRC1     */
                            }     BIT;                  /*              */
                     }          SIRCR;                  /*              */
};                                                      /*              */
struct st_hspi {                                        /* struct HSPI  */
               union {                                  /* SPCR         */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :24;       /*              */
                            unsigned int FBS : 1;       /*    FBS       */
                            unsigned int CLKP: 1;       /*    CLKP      */
                            unsigned int IDIV: 1;       /*    IDIV      */
                            unsigned int CLKC: 5;       /*    CLKC      */
                            }     BIT;                  /*              */
                     }          SPCR;                   /*              */
               union {                                  /* SPSR         */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :21;       /*              */
                            unsigned int TXFU: 1;       /*    TXFU      */
                            unsigned int TXHA: 1;       /*    TXHA      */
                            unsigned int TXEM: 1;       /*    TXEM      */
                            unsigned int RXFU: 1;       /*    RXFU      */
                            unsigned int RXHA: 1;       /*    RXHA      */
                            unsigned int RXEM: 1;       /*    RXEM      */
                            unsigned int RXOO: 1;       /*    RXOO      */
                            unsigned int RXOW: 1;       /*    RXOW      */
                            unsigned int RXFL: 1;       /*    RXFL      */
                            unsigned int TXFN: 1;       /*    TXFN      */
                            unsigned int TXFL: 1;       /*    TXFL      */
                            }     BIT;                  /*              */
                     }          SPSR;                   /*              */
               union {                                  /* SPSCR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int     :18;       /*              */
                            unsigned int TEIE: 1;       /*    TEIE      */
                            unsigned int THIE: 1;       /*    THIE      */
                            unsigned int RNIE: 1;       /*    RNIE      */
                            unsigned int RHIE: 1;       /*    RHIE      */
                            unsigned int RFIE: 1;       /*    RFIE      */
                            unsigned int FFEN: 1;       /*    FFEN      */
                            unsigned int LMSB: 1;       /*    LMSB      */
                            unsigned int CSV : 1;       /*    CSV       */
                            unsigned int CSA : 1;       /*    CSA       */
                            unsigned int TFIE: 1;       /*    TFIE      */
                            unsigned int ROIE: 1;       /*    ROIE      */
                            unsigned int RXDE: 1;       /*    RXDE      */
                            unsigned int TXDE: 1;       /*    TXDE      */
                            unsigned int MASL: 1;       /*    MASL      */
                            }     BIT;                  /*              */
                     }          SPSCR;                  /*              */
               union {                                  /* SPTBR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int   :24;         /*              */
                            unsigned int TD: 8;         /*    TD        */
                            }     BIT;                  /*              */
                     }          SPTBR;                  /*              */
               union {                                  /* SPRBR        */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int   :24;         /*              */
                            unsigned int RD: 8;         /*    RD        */
                            }     BIT;                  /*              */
                     }          SPRBR;                  /*              */
};                                                      /*              */
struct st_mmcif {                                       /* struct MMCIF */
                unsigned char   CMDR0;                  /* CMDR0        */
                unsigned char   CMDR1;                  /* CMDR1        */
                unsigned char   CMDR2;                  /* CMDR2        */
                unsigned char   CMDR3;                  /* CMDR3        */
                unsigned char   CMDR4;                  /* CMDR4        */
                union {                                 /* CMDR5        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CRC:7;       /*    CRC       */
                             unsigned char End:1;       /*    End       */
                             }      BIT;                /*              */
                      }         CMDR5;                  /*              */
                union {                                 /* CMDSTRT      */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char         :7;  /*              */
                             unsigned char CMDSTART:1;  /*    CMDSTART  */
                             }      BIT;                /*              */
                      }         CMDSTRT;                /*              */
                char            wk1[3];                 /*              */
                union {                                 /* OPCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CMDOFF  :1;  /*    CMDOFF    */
                             unsigned char         :1;  /*              */
                             unsigned char RD_CONTI:1;  /*    RD_CONTI  */
                             unsigned char DATAEN  :1;  /*    DATAEN    */
                             }      BIT;                /*              */
                      }         OPCR;                   /*              */
                union {                                 /* CSTR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char BUSY      :1;/*    BUSY      */
                             unsigned char FIFO_FULL :1;/*    FIFO_FULL */
                             unsigned char FIFO_EMPTY:1;/*    FIFO_EMPTY*/
                             unsigned char CWRE      :1;/*    CWRE      */
                             unsigned char DTBUSY    :1;/*    DTBUSY    */
                             unsigned char DTBUSY_TU :1;/*    DTBUSY_TU */
                             unsigned char           :1;/*              */
                             unsigned char REQ       :1;/*    REQ       */
                             }      BIT;                /*              */
                      }         CSTR;                   /*              */
                union {                                 /* INTCR0       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FEIE  :1;    /*    FEIE      */
                             unsigned char FFIE  :1;    /*    FFIE      */
                             unsigned char DRPIE :1;    /*    DRPIE     */
                             unsigned char DTIE  :1;    /*    DTIE      */
                             unsigned char CRPIE :1;    /*    CRPIE     */
                             unsigned char CMDIE :1;    /*    CMDIE     */
                             unsigned char DBSYIE:1;    /*    DBSYIE    */
                             unsigned char BTIE  :1;    /*    BTIE      */
                             }      BIT;                /*              */
                      }         INTCR0;                 /*              */
                union {                                 /* INTCR1       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char INTRQ2E:1;   /*    INTRQ2E   */
                             unsigned char INTRQ1E:1;   /*    INTRQ1E   */
                             unsigned char INTRQ0E:1;   /*    INTRQ0E   */
                             unsigned char        :2;   /*              */
                             unsigned char CRCERIE:1;   /*    CRCERIE   */
                             unsigned char DTERIE :1;   /*    DTERIE    */
                             unsigned char CTERIE :1;   /*    CTERIE    */
                             }      BIT;                /*              */
                      }         INTCR1;                 /*              */
                union {                                 /* INTSTR0      */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FEI  :1;     /*    FEI       */
                             unsigned char FFI  :1;     /*    FFI       */
                             unsigned char DRPI :1;     /*    DRPI      */
                             unsigned char DTI  :1;     /*    DTI       */
                             unsigned char CRPI :1;     /*    CRPI      */
                             unsigned char CMDI :1;     /*    CMDI      */
                             unsigned char DBSYI:1;     /*    DBSYI     */
                             unsigned char BTI  :1;     /*    BTI       */
                             }      BIT;                /*              */
                      }         INTSTR0;                /*              */
                union {                                 /* INTSTR1      */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char       :5;    /*              */
                             unsigned char CRCERI:1;    /*    CRCERI    */
                             unsigned char DTERI :1;    /*    DTERI     */
                             unsigned char CTERI :1;    /*    CTERI     */
                             }      BIT;                /*              */
                      }         INTSTR1;                /*              */
                union {                                 /* CLKON        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CLKON:1;     /*    CLKON     */
                             unsigned char      :3;     /*              */
                             unsigned char CSEL :4;     /*    CSEL      */
                             }      BIT;                /*              */
                      }         CLKON;                  /*              */
                union {                                 /* CTOCR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char       :7;    /*              */
                             unsigned char CTSEL0:1;    /*    CTSEL0    */
                             }      BIT;                /*              */
                      }         CTOCR;                  /*              */
                char            wk2[2];                 /*              */
                union {                                 /* TBCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char  :4;         /*              */
                             unsigned char C:4;         /*    C         */
                             }      BIT;                /*              */
                      }         TBCR;                   /*              */
                char            wk3;                    /*              */
                union {                                 /* MODER        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char MODE:1;      /*    MODE      */
                             }      BIT;                /*              */
                      }         MODER;                  /*              */
                char            wk4;                    /*              */
                union {                                 /* CMDTYR       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char TY6 :1;      /*    TY6       */
                             unsigned char TY5 :1;      /*    TY5       */
                             unsigned char TY4 :1;      /*    TY4       */
                             unsigned char TY3 :1;      /*    TY3       */
                             unsigned char TY2 :1;      /*    TY2       */
                             unsigned char TY10:2;      /*    TY1,TY0   */
                             }      BIT;                /*              */
                      }         CMDTYR;                 /*              */
                union {                                 /* RSPTYR       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char       :2;    /*              */
                             unsigned char RTY5  :1;    /*    RTY5      */
                             unsigned char RTY4  :1;    /*    RTY4      */
                             unsigned char       :1;    /*              */
                             unsigned char RTY210:3;    /*    RTY2-RTY0 */
                             }      BIT;                /*              */
                      }         RSPTYR;                 /*              */
                unsigned short  TBNCR;                  /* TBNCR        */
                char            wk5[4];                 /*              */
                unsigned char   RSPR0;                  /* RSPR0        */
                unsigned char   RSPR1;                  /* RSPR1        */
                unsigned char   RSPR2;                  /* RSPR2        */
                unsigned char   RSPR3;                  /* RSPR3        */
                unsigned char   RSPR4;                  /* RSPR4        */
                unsigned char   RSPR5;                  /* RSPR5        */
                unsigned char   RSPR6;                  /* RSPR6        */
                unsigned char   RSPR7;                  /* RSPR7        */
                unsigned char   RSPR8;                  /* RSPR8        */
                unsigned char   RSPR9;                  /* RSPR9        */
                unsigned char   RSPR10;                 /* RSPR10       */
                unsigned char   RSPR11;                 /* RSPR11       */
                unsigned char   RSPR12;                 /* RSPR12       */
                unsigned char   RSPR13;                 /* RSPR13       */
                unsigned char   RSPR14;                 /* RSPR14       */
                unsigned char   RSPR15;                 /* RSPR15       */
                unsigned char   RSPR16;                 /* RSPR16       */
                union {                                 /* RSPRD        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char      :3;     /*              */
                             unsigned char RSPRD:5;     /*    RSPRD     */
                             }      BIT;                /*              */
                      }         RSPRD;                  /*              */
                unsigned short  DTOUTR;                 /* DTOUTR       */
                char            wk6[12];                /*              */
                unsigned short  DR;                     /* DR           */
                unsigned char   FIFOCLR;                /* FIFOCLR      */
                char            wk7;                    /*              */
                union {                                 /* DMACR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char DMAEN:1;     /*    DMAEN     */
                             unsigned char AUTO :1;     /*    AUTO      */
                             unsigned char      :3;     /*              */
                             unsigned char SET  :3;     /*    SET       */
                             }      BIT;                /*              */
                      }         DMACR;                  /*              */
                char            wk8;                    /*              */
                union {                                 /* INTCR2       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char INTRQ3E:1;   /*    INTRQ3E   */
                             unsigned char        :6;   /*              */
                             unsigned char FRDYIE :1;   /*    FRDYIE    */
                             }      BIT;                /*              */
                      }         INTCR2;                 /*              */
                char            wk9;                    /*              */
                union {                                 /* INTSTR2      */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char        :6;   /*              */
                             unsigned char FRDY_TU:1;   /*    FRDY_TU   */
                             unsigned char FRDYI  :1;   /*    FRDYI     */
                             }      BIT;                /*              */
                      }         INTSTR2;                /*              */
};                                                      /*              */
struct st_hac {                                         /* struct HAC   */
              union {                                   /* HACCR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int     :16;        /*              */
                           unsigned int CR  : 1;        /*    CR        */
                           unsigned int     : 3;        /*              */
                           unsigned int CDRT: 1;        /*    CDRT      */
                           unsigned int WMRT: 1;        /*    WMRT      */
                           unsigned int     : 4;        /*              */
                           unsigned int ST  : 1;        /*    ST        */
                           }      BIT;                  /*              */
                    }           HACCR;                  /*              */
              char              wk1[20];                /*              */
              union {                                   /* HACCSAR      */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :12;     /*              */
                           unsigned int RW     : 1;     /*    RW        */
                           unsigned int CASA   : 7;     /*    CA/SA     */
                           unsigned int SLREQ3 : 1;     /*    SLREQ3    */
                           unsigned int SLREQ4 : 1;     /*    SLREQ4    */
                           unsigned int SLREQ5 : 1;     /*    SLREQ5    */
                           unsigned int SLREQ6 : 1;     /*    SLREQ6    */
                           unsigned int SLREQ7 : 1;     /*    SLREQ7    */
                           unsigned int SLREQ8 : 1;     /*    SLREQ8    */
                           unsigned int SLREQ9 : 1;     /*    SLREQ9    */
                           unsigned int SLREQ10: 1;     /*    SLREQ10   */
                           unsigned int SLREQ11: 1;     /*    SLREQ11   */
                           unsigned int SLREQ12: 1;     /*    SLREQ12   */
                           }     BIT;                   /*              */
                    }           HACCSAR;                /*              */
              union {                                   /* HACCSDR      */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int     :12;        /*              */
                           unsigned int CDSD:16;        /*    CD/SD     */
                           }     BIT;                   /*              */
                    }           HACCSDR;                /*              */
              union {                                   /* HACPCML      */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int  :12;           /*              */
                           unsigned int D:20;           /*    D         */
                           }     BIT;                   /*              */
                    struct {                            /*  Word Access */
                           unsigned int LD:16;          /*    LD        */
                           unsigned int RD:16;          /*    RD        */
                           }     WORD;                  /*              */
                    }           HACPCML;                /*              */
              union {                                   /* HACPCMR      */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int  :12;           /*              */
                           unsigned int D:20;           /*    D         */
                           }     BIT;                   /*              */
                    }           HACPCMR;                /*              */
              char              wk2[32];                /*              */
              union {                                   /* HACTIER      */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int         : 2;    /*              */
                           unsigned int PLTFRQIE: 1;    /*    PLTFRQIE  */
                           unsigned int PRTFRQIE: 1;    /*    PRTFRQIE  */
                           unsigned int         :18;    /*              */
                           unsigned int PLTFUNIE: 1;    /*    PLTFUNIE  */
                           unsigned int PRTFUNIE: 1;    /*    PRTFUNIE  */
                           }     BIT;                   /*              */
                    }           HACTIER;                /*              */
              union {                                   /* HACTSR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int CMDAMT: 1;      /*    CMDAMT    */
                           unsigned int CMDDMT: 1;      /*    CMDDMT    */
                           unsigned int PLTFRQ: 1;      /*    PLTFRQ    */
                           unsigned int PRTFRQ: 1;      /*    PRTFRQ    */
                           unsigned int       :18;      /*              */
                           unsigned int PLTFUN: 1;      /*    PLTFUN    */
                           unsigned int PRTFUN: 1;      /*    PRTFUN    */
                           }     BIT;                   /*              */
                    }           HACTSR;                 /*              */
              union {                                   /* HACRIER      */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int         :9;     /*              */
                           unsigned int STARYIE :1;     /*    STARYIE   */
                           unsigned int STDRYIE :1;     /*    STDRYIE   */
                           unsigned int PLRFRQIE:1;     /*    PLRFRQIE  */
                           unsigned int PRRFRQIE:1;     /*    PRRFRQIE  */
                           unsigned int         :5;     /*              */
                           unsigned int PLRFOVIE:1;     /*    PLRFOVIE  */
                           unsigned int PRRFOVIE:1;     /*    PRRFOVIE  */
                           }     BIT;                   /*              */
                    }           HACRIER;                /*              */
              union {                                   /* HACRSR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int       :9;       /*              */
                           unsigned int STARY :1;       /*    STARY     */
                           unsigned int STDRY :1;       /*    STDRY     */
                           unsigned int PLRFRQ:1;       /*    PLRFRQ    */
                           unsigned int PRRFRQ:1;       /*    PRRFRQ    */
                           unsigned int       :5;       /*              */
                           unsigned int PLRFOV:1;       /*    PLRFOV    */
                           unsigned int PRRFOV:1;       /*    PRRFOV    */
                           }     BIT;                   /*              */
                    }           HACRSR;                 /*              */
              union {                                   /* HACACR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int            :1;  /*              */
                           unsigned int DMARX16    :1;  /*   DMARX16    */
                           unsigned int DMATX16    :1;  /*   DMATX16    */
                           unsigned int            :2;  /*              */
                           unsigned int TX12_ATOMIC:1;  /*   TX12_ATOMIC*/
                           unsigned int            :1;  /*              */
                           unsigned int RXDMAL_EN  :1;  /*   RXDMAL_EN  */
                           unsigned int TXDMAL_EN  :1;  /*   TXDMAL_EN  */
                           unsigned int RXDMAR_EN  :1;  /*   RXDMAR_EN  */
                           unsigned int TXDMAR_EN  :1;  /*   TXDMAR_EN  */
                           }     BIT;                   /*              */
                    }           HACACR;                 /*              */
};                                                      /*              */
struct st_ssi {                                         /* struct SSI   */
              union {                                   /* SSICR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int     :3;         /*              */
                           unsigned int DMEN:1;         /*    DMEN      */
                           unsigned int UIEN:1;         /*    UIEN      */
                           unsigned int OIEN:1;         /*    OIEN      */
                           unsigned int IIEN:1;         /*    IIEN      */
                           unsigned int DIEN:1;         /*    DIEN      */
                           unsigned int CHNL:2;         /*    CHNL      */
                           unsigned int DWL :3;         /*    DWL       */
                           unsigned int SWL :3;         /*    SWL       */
                           unsigned int SCKD:1;         /*    SCKD      */
                           unsigned int SWSD:1;         /*    SWSD      */
                           unsigned int SCKP:1;         /*    SCKP      */
                           unsigned int SWSP:1;         /*    SWSP      */
                           unsigned int SPDP:1;         /*    SPDP      */
                           unsigned int SDTA:1;         /*    SDTA      */
                           unsigned int PDTA:1;         /*    PDTA      */
                           unsigned int DEL :1;         /*    DEL       */
                           unsigned int BREN:1;         /*    BREN      */
                           unsigned int CKDV:3;         /*    CKDV      */
                           unsigned int MUEN:1;         /*    MUEN      */
                           unsigned int CPEN:1;         /*    CPEN      */
                           unsigned int TRMD:1;         /*    TRMD      */
                           unsigned int EN  :1;         /*    EN        */
                           }     BIT;                   /*              */
                    }           SSICR;                  /*              */
              union {                                   /* SSISR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int     : 3;        /*              */
                           unsigned int DMRQ: 1;        /*    DMRQ      */
                           unsigned int UIRQ: 1;        /*    UIRQ      */
                           unsigned int OIRQ: 1;        /*    OIRQ      */
                           unsigned int IIRQ: 1;        /*    IIRQ      */
                           unsigned int DIRQ: 1;        /*    DIRQ      */
                           unsigned int     :20;        /*              */
                           unsigned int CHNO: 2;        /*    CHNO      */
                           unsigned int SWNO: 1;        /*    SWNO      */
                           unsigned int IDST: 1;        /*    IDST      */
                           }     BIT;                   /*              */
                    }           SSISR;                  /*              */
              unsigned int      SSITDR;                 /* SSITDR       */
              unsigned int      SSIRDR;                 /* SSIRDR       */
};                                                      /*              */
struct st_flctl {                                       /* struct FLCTL */
                union {                                 /* FLCMNCR      */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int        :14;   /*              */
                             unsigned int QTSEL  : 1;   /*    QTSEL     */
                             unsigned int        : 1;   /*              */
                             unsigned int FCKSEL : 1;   /*    FCKSEL    */
                             unsigned int        : 1;   /*              */
                             unsigned int ECCPOS : 2;   /*    ECCPOS    */
                             unsigned int ACM    : 2;   /*    ACM       */
                             unsigned int NANDWF : 1;   /*    NANDWF    */
                             unsigned int SE     : 1;   /*    SE        */
                             unsigned int        : 4;   /*              */
                             unsigned int CE0    : 1;   /*    CE0       */
                             unsigned int        : 2;   /*              */
                             unsigned int TYPESEL: 1;   /*    TYPESEL   */
                             }     BIT;                 /*              */
                      }         FLCMNCR;                /*              */
                union {                                 /* FLCMDCR      */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int       : 5;    /*              */
                             unsigned int ADRMD : 1;    /*    ADRMD     */
                             unsigned int CDSRC : 1;    /*    CDSRC     */
                             unsigned int DOSR  : 1;    /*    DOSR      */
                             unsigned int       : 2;    /*              */
                             unsigned int SELRW : 1;    /*    SELRW     */
                             unsigned int DOADR : 1;    /*    DOADR     */
                             unsigned int ADRCNT: 2;    /*    ADRCNT    */
                             unsigned int DOCMD2: 1;    /*    DOCMD2    */
                             unsigned int DOCMD1: 1;    /*    DOCMD1    */
                             unsigned int SCTCNT:16;    /*    SCTCNT    */
                             }     BIT;                 /*              */
                      }         FLCMDCR;                /*              */
                unsigned int    FLCMCDR;                /* FLCMCDR      */
                unsigned int    FLADR;                  /* FLADR        */
                unsigned int    FLDATAR;                /* FLDATAR      */
                union {                                 /* FLDTCNTR     */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int ECFLW: 8;     /*   ECFLW      */
                             unsigned int DTFLW: 8;     /*   DTFLW      */
                             unsigned int      : 4;     /*              */
                             unsigned int DTCNT:12;     /*   DTCNT      */
                             }     BIT;                 /*              */
                      }         FLDTCNTR;               /*              */
                union {                                 /* FLINTDMACR   */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int         :7;   /*              */
                             unsigned int ECERINTE:1;   /*   ECERINTE   */
                             unsigned int         :2;   /*              */
                             unsigned int FIFOTRG :2;   /*   FIFOTRG    */
                             unsigned int AC1CLR  :1;   /*   AC1CLR     */
                             unsigned int AC0CLR  :1;   /*   AC0CLR     */
                             unsigned int DREQ1EN :1;   /*   DREQ1EN    */
                             unsigned int DREQ0EN :1;   /*   DREQ0EN    */
                             unsigned int         :6;   /*              */
                             unsigned int ECERB   :1;   /*   ECERB      */
                             unsigned int STERB   :1;   /*   STERB      */
                             unsigned int BTOERB  :1;   /*   BTOERB     */
                             unsigned int TRREQF1 :1;   /*   TRREQF1    */
                             unsigned int TRREQF0 :1;   /*   TRREQF0    */
                             unsigned int STERINTE:1;   /*   STERINTE   */
                             unsigned int BTOINTE :1;   /*   BTOINTE    */
                             unsigned int TEINTE  :1;   /*   TEINTE     */
                             unsigned int TRINTE1 :1;   /*   TRINTE1    */
                             unsigned int TRINTE0 :1;   /*   TRINTE0    */
                             }     BIT;                 /*              */
                      }         FLINTDMACR;             /*              */
                unsigned int    FLBSYTMR;               /* FLBSYTMR     */
                union {                                 /* FLBSYCNT     */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned int STAT    : 8;  /*   STAT[7:0]  */
                             unsigned int         : 4;  /*              */
                             unsigned int RBTIMCNT:20;  /*   RBTIMCNT   */
                             }     BIT;                 /*              */
                      }         FLBSYCNT;               /*              */
                unsigned int    FLDTFIFO;               /* FLDTFIFO     */
                unsigned int    FLECFIFO;               /* FLECFIFO     */
                union {                                 /* FLTRCR       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char       :4;    /*              */
                             unsigned char TREND :1;    /*   TREND      */
                             unsigned char TRSTRT:1;    /*   TRSTRT     */
                             }     BIT;                 /*              */
                      }         FLTRCR;                 /*              */
};                                                      /*              */
struct st_gpio {                                        /* struct GPIO  */
               union {                                  /* PACR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PA7MD:2;     /*    PA7MD     */
                            unsigned short PA6MD:2;     /*    PA6MD     */
                            unsigned short PA5MD:2;     /*    PA5MD     */
                            unsigned short PA4MD:2;     /*    PA4MD     */
                            unsigned short PA3MD:2;     /*    PA3MD     */
                            unsigned short PA2MD:2;     /*    PA2MD     */
                            unsigned short PA1MD:2;     /*    PA1MD     */
                            unsigned short PA0MD:2;     /*    PA0MD     */
                            }       BIT;                /*              */
                     }          PACR;                   /*              */
               union {                                  /* PBCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PB7MD:2;     /*    PB7MD     */
                            unsigned short PB6MD:2;     /*    PB6MD     */
                            unsigned short PB5MD:2;     /*    PB5MD     */
                            unsigned short PB4MD:2;     /*    PB4MD     */
                            unsigned short PB3MD:2;     /*    PB3MD     */
                            unsigned short PB2MD:2;     /*    PB2MD     */
                            unsigned short PB1MD:2;     /*    PB1MD     */
                            unsigned short PB0MD:2;     /*    PB0MD     */
                            }       BIT;                /*              */
                     }          PBCR;                   /*              */
               union {                                  /* PCCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PC7MD:2;     /*    PC7MD     */
                            unsigned short PC6MD:2;     /*    PC6MD     */
                            unsigned short PC5MD:2;     /*    PC5MD     */
                            unsigned short PC4MD:2;     /*    PC4MD     */
                            unsigned short PC3MD:2;     /*    PC3MD     */
                            unsigned short PC2MD:2;     /*    PC2MD     */
                            unsigned short PC1MD:2;     /*    PC1MD     */
                            unsigned short PC0MD:2;     /*    PC0MD     */
                            }       BIT;                /*              */
                     }          PCCR;                   /*              */
               union {                                  /* PDCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PD7MD:2;     /*    PD7MD     */
                            unsigned short PD6MD:2;     /*    PD6MD     */
                            unsigned short PD5MD:2;     /*    PD5MD     */
                            unsigned short PD4MD:2;     /*    PD4MD     */
                            unsigned short PD3MD:2;     /*    PD3MD     */
                            unsigned short PD2MD:2;     /*    PD2MD     */
                            unsigned short PD1MD:2;     /*    PD1MD     */
                            unsigned short PD0MD:2;     /*    PD0MD     */
                            }       BIT;                /*              */
                     }          PDCR;                   /*              */
               union {                                  /* PECR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :2;     /*              */
                            unsigned short PE6MD:2;     /*    PE6MD     */
                            unsigned short PE5MD:2;     /*    PE5MD     */
                            unsigned short PE4MD:2;     /*    PE4MD     */
                            unsigned short PE3MD:2;     /*    PE3MD     */
                            unsigned short PE2MD:2;     /*    PE2MD     */
                            unsigned short PE1MD:2;     /*    PE1MD     */
                            unsigned short PE0MD:2;     /*    PE0MD     */
                            }       BIT;                /*              */
                     }          PECR;                   /*              */
               union {                                  /* PFCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PF7MD:2;     /*    PF7MD     */
                            unsigned short PF6MD:2;     /*    PF6MD     */
                            unsigned short PF5MD:2;     /*    PF5MD     */
                            unsigned short PF4MD:2;     /*    PF4MD     */
                            unsigned short PF3MD:2;     /*    PF3MD     */
                            unsigned short PF2MD:2;     /*    PF2MD     */
                            unsigned short PF1MD:2;     /*    PF1MD     */
                            unsigned short PF0MD:2;     /*    PF0MD     */
                            }       BIT;                /*              */
                     }          PFCR;                   /*              */
               union {                                  /* PGCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PG7MD:2;     /*    PG7MD     */
                            unsigned short PG6MD:2;     /*    PG6MD     */
                            unsigned short PG5MD:2;     /*    PG5MD     */
                            unsigned short PG4MD:2;     /*    PG4MD     */
                            unsigned short PG3MD:2;     /*    PG3MD     */
                            unsigned short PG2MD:2;     /*    PG2MD     */
                            unsigned short PG1MD:2;     /*    PG1MD     */
                            unsigned short PG0MD:2;     /*    PG0MD     */
                            }       BIT;                /*              */
                     }          PGCR;                   /*              */
               union {                                  /* PHCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PH7MD:2;     /*    PH7MD     */
                            unsigned short      :1;     /*              */
                            unsigned short PH6MD:1;     /*    PH6MD     */
                            unsigned short PH5MD:2;     /*    PH5MD     */
                            unsigned short PH4MD:2;     /*    PH4MD     */
                            unsigned short      :1;     /*              */
                            unsigned short PH3MD:1;     /*    PH3MD     */
                            unsigned short PH2MD:2;     /*    PH2MD     */
                            unsigned short PH1MD:2;     /*    PH1MD     */
                            unsigned short PH0MD:2;     /*    PH0MD     */
                            }       BIT;                /*              */
                     }          PHCR;                   /*              */
               union {                                  /* PJCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :4;     /*              */
                            unsigned short PJ5MD:2;     /*    PJ5MD     */
                            unsigned short PJ4MD:2;     /*    PJ4MD     */
                            unsigned short PJ3MD:2;     /*    PJ3MD     */
                            unsigned short PJ2MD:2;     /*    PJ2MD     */
                            unsigned short PJ1MD:2;     /*    PJ1MD     */
                            unsigned short PJ0MD:2;     /*    PJ0MD     */
                            }       BIT;                /*              */
                     }          PJCR;                   /*              */
               union {                                  /* PKCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PK7MD:2;     /*    PK7MD     */
                            unsigned short PK6MD:2;     /*    PK6MD     */
                            unsigned short PK5MD:2;     /*    PK5MD     */
                            unsigned short PK4MD:2;     /*    PK4MD     */
                            unsigned short PK3MD:2;     /*    PK3MD     */
                            unsigned short PK2MD:2;     /*    PK2MD     */
                            unsigned short      :1;     /*              */
                            unsigned short PK1MD:1;     /*    PK1MD     */
                            unsigned short      :1;     /*              */
                            unsigned short PK0MD:1;     /*    PK0MD     */
                            }       BIT;                /*              */
                     }          PKCR;                   /*              */
               union {                                  /* PLCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :9;     /*              */
                            unsigned short PL3MD:1;     /*    PL3MD     */
                            unsigned short      :1;     /*              */
                            unsigned short PL2MD:1;     /*    PL2MD     */
                            unsigned short      :1;     /*              */
                            unsigned short PL1MD:1;     /*    PL1MD     */
                            unsigned short      :1;     /*              */
                            unsigned short PL0MD:1;     /*    PL0MD     */
                            }       BIT;                /*              */
                     }          PLCR;                   /*              */
               union {                                  /* PMCR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :12;    /*              */
                            unsigned short PM1MD: 2;    /*    PM1MD     */
                            unsigned short PM0MD: 2;    /*    PM0MD     */
                            }       BIT;                /*              */
                     }          PMCR;                   /*              */
               char             wk1[8];                 /*              */
               union {                                  /* PADR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PA7DT:1;      /*    PA7DT     */
                            unsigned char PA6DT:1;      /*    PA6DT     */
                            unsigned char PA5DT:1;      /*    PA5DT     */
                            unsigned char PA4DT:1;      /*    PA4DT     */
                            unsigned char PA3DT:1;      /*    PA3DT     */
                            unsigned char PA2DT:1;      /*    PA2DT     */
                            unsigned char PA1DT:1;      /*    PA1DT     */
                            unsigned char PA0DT:1;      /*    PA0DT     */
                            }      BIT;                 /*              */
                     }          PADR;                   /*              */
               char             wk2;                    /*              */
               union {                                  /* PBDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PB7DT:1;      /*    PB7DT     */
                            unsigned char PB6DT:1;      /*    PB6DT     */
                            unsigned char PB5DT:1;      /*    PB5DT     */
                            unsigned char PB4DT:1;      /*    PB4DT     */
                            unsigned char PB3DT:1;      /*    PB3DT     */
                            unsigned char PB2DT:1;      /*    PB2DT     */
                            unsigned char PB1DT:1;      /*    PB1DT     */
                            unsigned char PB0DT:1;      /*    PB0DT     */
                            }      BIT;                 /*              */
                     }          PBDR;                   /*              */
               char             wk3;                    /*              */
               union {                                  /* PCDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PC7DT:1;      /*    PC7DT     */
                            unsigned char PC6DT:1;      /*    PC6DT     */
                            unsigned char PC5DT:1;      /*    PC5DT     */
                            unsigned char PC4DT:1;      /*    PC4DT     */
                            unsigned char PC3DT:1;      /*    PC3DT     */
                            unsigned char PC2DT:1;      /*    PC2DT     */
                            unsigned char PC1DT:1;      /*    PC1DT     */
                            unsigned char PC0DT:1;      /*    PC0DT     */
                            }      BIT;                 /*              */
                     }          PCDR;                   /*              */
               char             wk4;                    /*              */
               union {                                  /* PDDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PD7DT:1;      /*    PD7DT     */
                            unsigned char PD6DT:1;      /*    PD6DT     */
                            unsigned char PD5DT:1;      /*    PD5DT     */
                            unsigned char PD4DT:1;      /*    PD4DT     */
                            unsigned char PD3DT:1;      /*    PD3DT     */
                            unsigned char PD2DT:1;      /*    PD2DT     */
                            unsigned char PD1DT:1;      /*    PD1DT     */
                            unsigned char PD0DT:1;      /*    PD0DT     */
                            }      BIT;                 /*              */
                     }          PDDR;                   /*              */
               char             wk5;                    /*              */
               union {                                  /* PEDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :1;      /*              */
                            unsigned char PE6DT:1;      /*    PE6DT     */
                            unsigned char PE5DT:1;      /*    PE5DT     */
                            unsigned char PE4DT:1;      /*    PE4DT     */
                            unsigned char PE3DT:1;      /*    PE3DT     */
                            unsigned char PE2DT:1;      /*    PE2DT     */
                            unsigned char PE1DT:1;      /*    PE1DT     */
                            unsigned char PE0DT:1;      /*    PE0DT     */
                            }      BIT;                 /*              */
                     }          PEDR;                   /*              */
               char             wk6;                    /*              */
               union {                                  /* PFDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PF7DT:1;      /*    PF7DT     */
                            unsigned char PF6DT:1;      /*    PF6DT     */
                            unsigned char PF5DT:1;      /*    PF5DT     */
                            unsigned char PF4DT:1;      /*    PF4DT     */
                            unsigned char PF3DT:1;      /*    PF3DT     */
                            unsigned char PF2DT:1;      /*    PF2DT     */
                            unsigned char PF1DT:1;      /*    PF1DT     */
                            unsigned char PF0DT:1;      /*    PF0DT     */
                            }      BIT;                 /*              */
                     }          PFDR;                   /*              */
               char             wk7;                    /*              */
               union {                                  /* PGDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PG7DT:1;      /*    PG7DT     */
                            unsigned char PG6DT:1;      /*    PG6DT     */
                            unsigned char PG5DT:1;      /*    PG5DT     */
                            unsigned char PG4DT:1;      /*    PG4DT     */
                            unsigned char PG3DT:1;      /*    PG3DT     */
                            unsigned char PG2DT:1;      /*    PG2DT     */
                            unsigned char PG1DT:1;      /*    PG1DT     */
                            unsigned char PG0DT:1;      /*    PG0DT     */
                            }      BIT;                 /*              */
                     }          PGDR;                   /*              */
               char             wk8;                    /*              */
               union {                                  /* PHDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PH7DT:1;      /*    PH7DT     */
                            unsigned char PH6DT:1;      /*    PH6DT     */
                            unsigned char PH5DT:1;      /*    PH5DT     */
                            unsigned char PH4DT:1;      /*    PH4DT     */
                            unsigned char PH3DT:1;      /*    PH3DT     */
                            unsigned char PH2DT:1;      /*    PH2DT     */
                            unsigned char PH1DT:1;      /*    PH1DT     */
                            unsigned char PH0DT:1;      /*    PH0DT     */
                            }      BIT;                 /*              */
                     }          PHDR;                   /*              */
               char             wk9;                    /*              */
               union {                                  /* PJDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char PJ5DT:1;      /*    PJ5DT     */
                            unsigned char PJ4DT:1;      /*    PJ4DT     */
                            unsigned char PJ3DT:1;      /*    PJ3DT     */
                            unsigned char PJ2DT:1;      /*    PJ2DT     */
                            unsigned char PJ1DT:1;      /*    PJ1DT     */
                            unsigned char PJ0DT:1;      /*    PJ0DT     */
                            }      BIT;                 /*              */
                     }          PJDR;                   /*              */
               char             wk10;                   /*              */
               union {                                  /* PKDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PK7DT:1;      /*    PK7DT     */
                            unsigned char PK6DT:1;      /*    PK6DT     */
                            unsigned char PK5DT:1;      /*    PK5DT     */
                            unsigned char PK4DT:1;      /*    PK4DT     */
                            unsigned char PK3DT:1;      /*    PK3DT     */
                            unsigned char PK2DT:1;      /*    PK2DT     */
                            unsigned char PK1DT:1;      /*    PK1DT     */
                            unsigned char PK0DT:1;      /*    PK0DT     */
                            }      BIT;                 /*              */
                     }          PKDR;                   /*              */
               char             wk11;                   /*              */
               union {                                  /* PLDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :4;      /*              */
                            unsigned char PL3DT:1;      /*    PL3DT     */
                            unsigned char PL2DT:1;      /*    PL2DT     */
                            unsigned char PL1DT:1;      /*    PL1DT     */
                            unsigned char PL0DT:1;      /*    PL0DT     */
                            }      BIT;                 /*              */
                     }          PLDR;                   /*              */
               char             wk12;                   /*              */
               union {                                  /* PMDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :6;      /*              */
                            unsigned char PM1DT:1;      /*    PM1DT     */
                            unsigned char PM0DT:1;      /*    PM0DT     */
                            }      BIT;                 /*              */
                     }          PMDR;                   /*              */
               char             wk13[17];               /*              */
               union {                                  /* PEPUPR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char        :1;    /*              */
                            unsigned char PE6PUPR:1;    /*    PE6PUPR   */
                            }      BIT;                 /*              */
                     }          PEPUPR;                 /*              */
               char             wk14[5];                /*              */
               union {                                  /* PHPUPR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PH7PUPR:1;    /*    PH7PUPR   */
                            unsigned char PH6PUPR:1;    /*    PH6PUPR   */
                            unsigned char PH5PUPR:1;    /*    PH5PUPR   */
                            unsigned char PH4PUPR:1;    /*    PH4PUPR   */
                            unsigned char PH3PUPR:1;    /*    PH3PUPR   */
                            unsigned char PH2PUPR:1;    /*    PH2PUPR   */
                            unsigned char PH1PUPR:1;    /*    PH1PUPR   */
                            unsigned char PH0PUPR:1;    /*    PH0PUPR   */
                            }      BIT;                 /*              */
                     }          PHPUPR;                 /*              */
               char             wk15;                   /*              */
               union {                                  /* PJPUPR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char        :2;    /*              */
                            unsigned char PJ5PUPR:1;    /*    PJ5PUPR   */
                            unsigned char PJ4PUPR:1;    /*    PJ4PUPR   */
                            unsigned char PJ3PUPR:1;    /*    PJ3PUPR   */
                            unsigned char PJ2PUPR:1;    /*    PJ2PUPR   */
                            unsigned char PJ1PUPR:1;    /*    PJ1PUPR   */
                            unsigned char PJ0PUPR:1;    /*    PJ0PUPR   */
                            }      BIT;                 /*              */
                     }          PJPUPR;                 /*              */
               char             wk16;                   /*              */
               union {                                  /* PKPUPR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char PK7PUPR:1;    /*    PK7PUPR   */
                            unsigned char PK6PUPR:1;    /*    PK6PUPR   */
                            unsigned char PK5PUPR:1;    /*    PK5PUPR   */
                            unsigned char PK4PUPR:1;    /*    PK4PUPR   */
                            unsigned char PK3PUPR:1;    /*    PK3PUPR   */
                            unsigned char PK2PUPR:1;    /*    PK2PUPR   */
                            unsigned char PK1PUPR:1;    /*    PK1PUPR   */
                            unsigned char PK0PUPR:1;    /*    PK0PUPR   */
                            }      BIT;                 /*              */
                     }          PKPUPR;                 /*              */
               char             wk17[3];                /*              */
               union {                                  /* PMPUPR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char        :6;    /*              */
                            unsigned char PM1PUPR:1;    /*    PM1PUPR   */
                            unsigned char PM0PUPR:1;    /*    PM0PUPR   */
                            }      BIT;                 /*              */
                     }          PMPUPR;                 /*              */
               char             wk18[9];                /*              */
               union {                                  /* PPUPR1       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short        :13;  /*              */
                            unsigned short RDYPUP : 1;  /*    RDYPUP    */
                            unsigned short CTR1PUP: 1;  /*    CTR1PUP   */
                            unsigned short CTR0PUP: 1;  /*    CTR0PUP   */
                            }       BIT;                /*              */
                     }          PPUPR1;                 /*              */
               union {                                  /* PPUPR2       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short        :4;   /*              */
                            unsigned short FD3PUP :1;   /*    FD3PUP    */
                            unsigned short FD2PUP :1;   /*    FD2PUP    */
                            unsigned short FD1PUP :1;   /*    FD1PUP    */
                            unsigned short FD0PUP :1;   /*    FD0PUP    */
                            unsigned short NMIPUP :1;   /*    NMIPUP    */
                            unsigned short        :3;   /*              */
                            unsigned short IRL3PUP:1;   /*    IRL3PUP   */
                            unsigned short IRL2PUP:1;   /*    IRL2PUP   */
                            unsigned short IRL1PUP:1;   /*    IRL1PUP   */
                            unsigned short IRL0PUP:1;   /*    IRL0PUP   */
                            }       BIT;                /*              */
                     }          PPUPR2;                 /*              */
               char             wk19[28];               /*              */
               union {                                  /* PMSELR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short           :1;/*              */
                            unsigned short PMSEL14   :1;/*    PMSEL14   */
                            unsigned short PMSEL13   :1;/*    PMSEL13   */
                            unsigned short PMSEL12   :1;/*    PMSEL12   */
                            unsigned short PMSEL11_10:2;/*    PMSEL11,10*/
                            unsigned short PMSEL9_8  :2;/*    PMSEL9,8  */
                            unsigned short           :1;/*              */
                            unsigned short PMSEL6    :1;/*    PMSEL6    */
                            unsigned short PMSEL5_4  :2;/*    PMSEL5,4  */
                            unsigned short PMSEL3_2  :2;/*    PMSEL3,2  */
                            unsigned short PMSEL1_0  :2;/*    PMSEL1,0  */
                            }       BIT;                /*              */
                     }          PMSELR;                 /*              */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              union {                                   /* CCMFR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int    :30;         /*              */
                           unsigned int MF1: 1;         /*    MF1       */
                           unsigned int MF0: 1;         /*    MF0       */
                           }     BIT;                   /*              */
                    }           CCMFR;                  /*              */
              char             wk[28];                  /*              */
              union {                                   /* CBCR         */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int     :31;        /*              */
                           unsigned int UBDE: 1;        /*    UBDE      */
                           }     BIT;                   /*              */
                    }           CBCR;                   /*              */
};                                                      /*              */
struct st_ubc0 {                                        /* struct UBC0  */
               union {                                  /* CBR          */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int MFE:1;         /*    MFE       */
                            unsigned int AIE:1;         /*    AIE       */
                            unsigned int MFI:6;         /*    MFI       */
                            unsigned int AIV:8;         /*    AIV       */
                            unsigned int    :1;         /*              */
                            unsigned int SZ :3;         /*    SZ        */
                            unsigned int    :4;         /*              */
                            unsigned int CD :2;         /*    CD        */
                            unsigned int ID :2;         /*    ID        */
                            unsigned int    :1;         /*              */
                            unsigned int RW :2;         /*    RW        */
                            unsigned int CE :1;         /*    CE        */
                            }     BIT;                  /*              */
                     }          CBR;                    /*              */
               union {                                  /* CRR          */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :30;        /*              */
                            unsigned int PCB: 1;        /*    PCB       */
                            unsigned int BIE: 1;        /*    BIE       */
                            }     BIT;                  /*              */
                     }          CRR;                    /*              */
               void            *CAR;                    /* CAR          */
               unsigned int     CAMR;                   /* CAMR         */
};                                                      /*              */
struct st_ubc1 {                                        /* struct UBC1  */
               union {                                  /* CBR          */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int MFE :1;        /*    MFE       */
                            unsigned int AIE :1;        /*    AIE       */
                            unsigned int MFI :6;        /*    MFI       */
                            unsigned int AIV :8;        /*    AIV       */
                            unsigned int DBE :1;        /*    DBE       */
                            unsigned int SZ  :3;        /*    SZ        */
                            unsigned int ETBE:1;        /*    ETBE      */
                            unsigned int     :3;        /*              */
                            unsigned int CD  :2;        /*    CD        */
                            unsigned int ID  :2;        /*    ID        */
                            unsigned int     :1;        /*              */
                            unsigned int RW  :2;        /*    RW        */
                            unsigned int CE  :1;        /*    CE        */
                            }     BIT;                  /*              */
                     }          CBR;                    /*              */
               union {                                  /* CRR          */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :30;        /*              */
                            unsigned int PCB: 1;        /*    PCB       */
                            unsigned int BIE: 1;        /*    BIE       */
                            }     BIT;                  /*              */
                     }          CRR;                    /*              */
               void            *CAR;                    /* CAR          */
               unsigned int     CAMR;                   /* CAMR         */
               unsigned int     CDR;                    /* CDR          */
               unsigned int     CDMR;                   /* CDMR         */
               union {                                  /* CETR         */
                     unsigned int LONG;                 /*  Long Access */
                     struct {                           /*  Bit  Access */
                            unsigned int    :20;        /*              */
                            unsigned int CET:12;        /*    CET       */
                            }     BIT;                  /*              */
                     }          CETR;                   /*              */
};                                                      /*              */
struct st_hudi {                                        /* struct H-UDI */
               union {                                  /* SDIR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short TI:8;        /*    TI        */
                            }       BIT;                /*              */
                     }          SDIR;                   /*              */
               char             wk1[22];                /*              */
               union {                                  /* SDINT        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short       :15;   /*              */
                            unsigned short INTREQ: 1;   /*   INTREQ     */
                            }       BIT;                /*              */
                     }          SDINT;                  /*              */
};                                                      /*              */
union un_cpuopm {                                       /* union CPUOPM */
                unsigned int LONG;                      /*  Long Access */
                struct {                                /*  Bit  Access */
                       unsigned int      :26;           /*              */
                       unsigned int RABD : 1;           /*    RABD      */
                       unsigned int      : 1;           /*              */
                       unsigned int INTMU: 1;           /*    INTMU     */
                       }     BIT;                       /*              */
};                                                      /*              */
#define MMU    (*(volatile struct st_mmu   *)0xFF000000)/* MMU   Address*/
#define CACHE  (*(volatile struct st_cache *)0xFF00001C)/* CACHE Address*/
#define EXP    (*(volatile struct st_exp   *)0xFF000020)/* EXP   Address*/
#define INTC   (*(volatile struct st_intc  *)0xFFD00000)/* INTC  Address*/
#define LBSC   (*(volatile struct st_lbsc  *)0xFF400020)/* LBSC  Address*/
#define DDRIF  (*(volatile struct st_ddrif *)0xFE800008)/* DDRIF Address*/
#define PCIC   (*(volatile struct st_pcic  *)0xFE000008)/* PCIC  Address*/
#define DMAC   (*(volatile struct st_dmac  *)0xFC808060)/* DMAC  Address*/
#define DMAC0  (*(volatile struct st_dmac0 *)0xFC808020)/* DMAC0 Address*/
#define DMAC1  (*(volatile struct st_dmac0 *)0xFC808030)/* DMAC1 Address*/
#define DMAC2  (*(volatile struct st_dmac0 *)0xFC808040)/* DMAC2 Address*/
#define DMAC3  (*(volatile struct st_dmac0 *)0xFC808050)/* DMAC3 Address*/
#define DMAC4  (*(volatile struct st_dmac4 *)0xFC808070)/* DMAC4 Address*/
#define DMAC5  (*(volatile struct st_dmac4 *)0xFC808080)/* DMAC5 Address*/
#define DMAC6  (*(volatile struct st_dmac6 *)0xFC818020)/* DMAC6 Address*/
#define DMAC7  (*(volatile struct st_dmac6 *)0xFC818030)/* DMAC7 Address*/
#define DMAC8  (*(volatile struct st_dmac6 *)0xFC818040)/* DMAC8 Address*/
#define DMAC9  (*(volatile struct st_dmac6 *)0xFC818050)/* DMAC9 Address*/
#define DMAC10 (*(volatile struct st_dmac4 *)0xFC818070)/* DMAC10Address*/
#define DMAC11 (*(volatile struct st_dmac4 *)0xFC818080)/* DMAC11Address*/
#define CPG    (*(volatile struct st_cpg   *)0xFFC80000)/* CPG   Address*/
#define WDT    (*(volatile struct st_wdt   *)0xFFCC0000)/* WDT   Address*/
#define MSTPCR (*(volatile union  un_mstpcr*)0xFE0A0000)/* MSTPCRAddress*/
#define TMU    (*(volatile struct st_tmu   *)0xFFD80000)/* TMU   Address*/
#define TMU0   (*(volatile struct st_tmu0  *)0xFFD80008)/* TMU0  Address*/
#define TMU1   (*(volatile struct st_tmu0  *)0xFFD80014)/* TMU1  Address*/
#define TMU2   (*(volatile struct st_tmu2  *)0xFFD80020)/* TMU2  Address*/
#define TMU3   (*(volatile struct st_tmu0  *)0xFFDC0008)/* TMU3  Address*/
#define TMU4   (*(volatile struct st_tmu0  *)0xFFDC0014)/* TMU4  Address*/
#define TMU5   (*(volatile struct st_tmu2  *)0xFFDC0020)/* TMU5  Address*/
#define CMT    (*(volatile struct st_cmt   *)0xFFE30000)/* CMT   Address*/
#define CMT0   (*(volatile struct st_cmt0  *)0xFFE30010)/* CMT0  Address*/
#define CMT1   (*(volatile struct st_cmt0  *)0xFFE30014)/* CMT1  Address*/
#define CMT2   (*(volatile struct st_cmt2  *)0xFFE30018)/* CMT2  Address*/
#define CMT3   (*(volatile struct st_cmt2  *)0xFFE3001C)/* CMT3  Address*/
#define RTC    (*(volatile struct st_rtc   *)0xFFE80000)/* RTC   Address*/
#define SCIF0  (*(volatile struct st_scif0 *)0xFFE00000)/* SCIF0 Address*/
#define SCIF1  (*(volatile struct st_scif1 *)0xFFE10000)/* SCIF1 Address*/
#define SIOF   (*(volatile struct st_siof  *)0xFFE20000)/* SIOF  Address*/
#define HSPI   (*(volatile struct st_hspi  *)0xFFE50000)/* HSPI  Address*/
#define MMCIF  (*(volatile struct st_mmcif *)0xFFE60000)/* MMCIF Address*/
#define HAC    (*(volatile struct st_hac   *)0xFFE40008)/* HAC   Address*/
#define SSI    (*(volatile struct st_ssi   *)0xFFE70000)/* SSI   Address*/
#define FLCTL  (*(volatile struct st_flctl *)0xFFE90000)/* FLCTL Address*/
#define GPIO   (*(volatile struct st_gpio  *)0xFFEA0000)/* GPIO Address*/
#define UBC    (*(volatile struct st_ubc   *)0xFF200600)/* UBC   Address*/
#define UBC0   (*(volatile struct st_ubc0  *)0xFF200000)/* UBC0  Address*/
#define UBC1   (*(volatile struct st_ubc1  *)0xFF200020)/* UBC1  Address*/
#define HUDI   (*(volatile struct st_hudi  *)0xFC110000)/* H-UDI Address*/
#define CPUOPM (*(volatile union  un_cpuopm*)0xFF2F0000)/* CPUOPMAddress*/
