/********************************************************************************/
/*   Sample for exception.c (SH-3,SH3-DSP)                                      */
/********************************************************************************/
#include <machine.h>                            /* Compiler Header File         */
#include "exception.h"                          /* Exception Header File        */
#include "iodefine.h"                           /* Peripheral Header File       */
                                                /*                              */
#pragma section INT1                            /* Section Name is PINT1        */
#pragma interrupt int_hdl(bank)                 /* Interrupt Function           */
void int_hdl(void)                              /* VBR + H'600                  */
{                                               /*                              */
const struct st_inttbl *inttbl;                 /* Interrupt Table Pointer      */
int imask;                                      /* Interrupt Mask Level         */
  inttbl = &INTTBL[INTX.INTEVT2 - 0x1C0 >> 5];  /* Set Interrupt Information    */
  if( !inttbl->ipr )                            /* Interrupt Level is Fixed ?   */
    imask = inttbl->level;                      /* Read Interrupt Mask Level    */
  else                                          /*                              */
    imask = *inttbl->ipr >> inttbl->shift;      /* Make Interrupt Mask Level    */
  sr_jsr( inttbl->address, imask );             /* Call Interrupt Function      */
}                                               /*                              */