/**************************************************************************/
/*   Sample for inttbl.c (SH7709S)                                        */
/**************************************************************************/
#include "exception.h"                      /* Exception Header File      */
#include "iodefine.h"                       /* Peripheral Header File     */
void irq0(void);                            /* IRQ0 Interrupt Function    */
void irq1(void);                            /* IRQ1 Interrupt Function    */
void irq2(void);                            /* IRQ2 Interrupt Function    */
                                            /*                            */
#pragma section INTTBL                      /* Section Name is CINTTBL    */
const struct st_inttbl INTTBL[] = {         /* Interrupt Table            */
  {               0,  0, 15,       0 },     /* H'1C0 NMI                  */
  {               0,  0,  0,       0 },     /* H'1E0 Reserve              */
  {               0,  0, 15,       0 },     /* H'200 IRL3`IRL0=0000      */
  {               0,  0, 14,       0 },     /* H'220 IRL3`IRL0=0001      */
  {               0,  0, 13,       0 },     /* H'240 IRL3`IRL0=0010      */
  {               0,  0, 12,       0 },     /* H'260 IRL3`IRL0=0011      */
  {               0,  0, 11,       0 },     /* H'280 IRL3`IRL0=0100      */
  {               0,  0, 10,       0 },     /* H'2A0 IRL3`IRL0=0101      */
  {               0,  0,  9,       0 },     /* H'2C0 IRL3`IRL0=0110      */
  {               0,  0,  8,       0 },     /* H'2E0 IRL3`IRL0=0111      */
  {               0,  0,  7,       0 },     /* H'300 IRL3`IRL0=1000      */
  {               0,  0,  6,       0 },     /* H'320 IRL3`IRL0=1001      */
  {               0,  0,  5,       0 },     /* H'340 IRL3`IRL0=1010      */
  {               0,  0,  4,       0 },     /* H'360 IRL3`IRL0=1011      */
  {               0,  0,  3,       0 },     /* H'380 IRL3`IRL0=1100      */
  {               0,  0,  2,       0 },     /* H'3A0 IRL3`IRL0=1101      */
  {               0,  0,  1,       0 },     /* H'3C0 IRL3`IRL0=1110      */
  {               0,  0,  0,       0 },     /* H'3E0 Reserve              */
  { &INTC.IPRA.WORD, 12,  0,       0 },     /* H'400 TMU0  TUNI0          */
  { &INTC.IPRA.WORD,  8,  0,       0 },     /* H'420 TMU1  TUNI1          */
  { &INTC.IPRA.WORD,  4,  0,       0 },     /* H'440 TMU2  TUNI2          */
  { &INTC.IPRA.WORD,  4,  0,       0 },     /* H'460       TICPI2         */
  { &INTC.IPRA.WORD,  0,  0,       0 },     /* H'480 RTC   ATI            */
  { &INTC.IPRA.WORD,  0,  0,       0 },     /* H'4A0       PRI            */
  { &INTC.IPRA.WORD,  0,  0,       0 },     /* H'4C0       CUI            */
  { &INTC.IPRB.WORD,  4,  0,       0 },     /* H'4E0 SCI   ERI            */
  { &INTC.IPRB.WORD,  4,  0,       0 },     /* H'500       RXI            */
  { &INTC.IPRB.WORD,  4,  0,       0 },     /* H'520       TXI            */
  { &INTC.IPRB.WORD,  4,  0,       0 },     /* H'540       TEI            */
  { &INTC.IPRB.WORD, 12,  0,       0 },     /* H'560 WDT   ITI            */
  { &INTC.IPRB.WORD,  8,  0,       0 },     /* H'580 REF   RCMI           */
  { &INTC.IPRB.WORD,  8,  0,       0 },     /* H'5A0       ROVI           */
  {               0,  0,  0,       0 },     /* H'5C0 Reserve              */
  {               0,  0,  0,       0 },     /* H'5E0 Reserve              */
  { &INTX.IPRC.WORD,  0,  0,    irq0 },     /* H'600 IRQ0                 */
  { &INTX.IPRC.WORD,  4,  0,    irq1 },     /* H'620 IRQ1                 */
  { &INTX.IPRC.WORD,  8,  0,    irq2 },     /* H'640 IRQ2                 */
  { &INTX.IPRC.WORD, 12,  0,       0 },     /* H'660 IRQ3                 */
  { &INTX.IPRD.WORD,  0,  0,       0 },     /* H'680 IRQ4                 */
  { &INTX.IPRD.WORD,  4,  0,       0 },     /* H'6A0 IRQ5                 */
  {               0,  0,  0,       0 },     /* H'6C0 Reserve              */
  {               0,  0,  0,       0 },     /* H'6E0 Reserve              */
  { &INTX.IPRD.WORD, 12,  0,       0 },     /* H'700 PINT0-PINT7          */
  { &INTX.IPRD.WORD,  8,  0,       0 },     /* H'720 PINT8-PINT15         */
  {               0,  0,  0,       0 },     /* H'740 Reserve              */
  {               0,  0,  0,       0 },     /* H'760 Reserve              */
  {               0,  0,  0,       0 },     /* H'780 Reserve              */
  {               0,  0,  0,       0 },     /* H'7A0 Reserve              */
  {               0,  0,  0,       0 },     /* H'7C0 Reserve              */
  {               0,  0,  0,       0 },     /* H'7E0 Reserve              */
  { &INTX.IPRE.WORD, 12,  0,       0 },     /* H'800 DMAC  DEI0           */
  { &INTX.IPRE.WORD, 12,  0,       0 },     /* H'820       DEI1           */
  { &INTX.IPRE.WORD, 12,  0,       0 },     /* H'840       DEI2           */
  { &INTX.IPRE.WORD, 12,  0,       0 },     /* H'860       DEI3           */
  { &INTX.IPRE.WORD,  8,  0,       0 },     /* H'880 IrDA  ERI1           */
  { &INTX.IPRE.WORD,  8,  0,       0 },     /* H'8A0       RXI1           */
  { &INTX.IPRE.WORD,  8,  0,       0 },     /* H'8C0       BRI1           */
  { &INTX.IPRE.WORD,  8,  0,       0 },     /* H'8E0       TXI1           */
  { &INTX.IPRE.WORD,  4,  0,       0 },     /* H'900 SCIF  ERI2           */
  { &INTX.IPRE.WORD,  4,  0,       0 },     /* H'920       RXI2           */
  { &INTX.IPRE.WORD,  4,  0,       0 },     /* H'940       BRI2           */
  { &INTX.IPRE.WORD,  4,  0,       0 },     /* H'960       TXI2           */
  { &INTX.IPRE.WORD,  0,  0,       0 } };   /* H'980 ADC   ADI            */