/**********************************************************************************/
/*   Sample for lock.c (SH-3/SH3-DSP)                                             */
/*        1st Parameter  <--  Way2 Lock Address                                   */
/*        2nd Parameter  <--  Way3 Lock Address                                   */
/**********************************************************************************/
#include <machine.h>                                    /* Compiler Header File   */
#include "iodefine.h"                                   /* Peripheral Header File */
#pragma section Cache                                   /* Section Name is PCache */

void Cache_Lock(void *W2, void *W3)                     /* Cache Lock Function    */
{
char  *p, *q;

  set_cr( get_cr( ) | 0x00001000 );                     /* Set CL or DSP of SR    */
  CCR2 = 0x00000003;                                    /* W2 LOAD=LOCK=1         */
  for( p = W2, q = p+4096 ; p < q ; p += 16 )           /* 4K Byte Loop           */
    prefetch( p );                                      /* Prefetch to Chache     */
  CCR2 = 0x00000001;                                    /* W2 LOAD=0,LOCK=1       */

  CCR2 = 0x00000301;                                    /* W3 LOAD=LOCK=1         */
  for( p = W3, q = p+4096 ; p < q ; p += 16 )           /* 4K Byte Loop           */
    prefetch( p );                                      /* Prefetch to Cache      */
  CCR2 = 0x00000101;                                    /* W3 LOAD=0,LOCK=1       */
}