/**********************************************************************************/
/*   Sample for store queue (SH-4,SH-4A,SH4AL-DSP)                                */
/*        1st Parameter  <--  External Memory Address (32Byte Alignment)          */
/*        2nd Parameter  <--  Write Data Address      (LongWord Alignment)        */
/**********************************************************************************/
#include <machine.h>                              /* Compiler Header File         */
#include "iodefine.h"                             /* Peripheral Header File       */

void SQ_Write(int *address, int *data)
{
unsigned int area = (unsigned int)address;
int *sq = (int *)(0xE0000000 + (area&0x3FFFFE0)); /* Set Address [31:26] [25:0]   */
  if( area & 0x20 )                               /* Analize Address [5]          */
    CACHE.QACR1 = area >> 24 & 0x1C;              /* Set Address [28:26] to QACR1 */
  else
    CACHE.QACR0 = area >> 24 & 0x1C;              /* Set Address [28:26] to QACR0 */
  sq[0] = data[0];    sq[1] = data[1];    sq[2] = data[2];    sq[3] = data[3];
  sq[4] = data[4];    sq[5] = data[5];    sq[6] = data[6];    sq[7] = data[7];
  prefetch( sq );                                 /* Write Back                   */
}