/**********************************************************************************/
/*   Sample for store queue (SH-4,SH-4A,SH4AL-DSP)                                */
/*        1st Parameter  <--  External Memory Address (32Byte Alignment)          */
/*        2nd Parameter  <--  Write Data Top Address  (LongWord Alignment)        */
/*        3rd Parameter  <--  Write Data End Address  (LongWord Alignment)        */
/**********************************************************************************/
#include <machine.h>                              /* Compiler Header File         */
#include "iodefine.h"                             /* Peripheral Header File       */

void SQ_Write(int *address, int *data, int *end)
{
unsigned int area = (unsigned int)address;
int *sq = (int *)(0xE0000000 + (area&0x3FFFFE0)); /* Set Address [31:26] [25:0]   */
  CACHE.QACR0 = CACHE.QACR1 = area >> 24 & 0x1C;  /* Set Address [28:26] to QACRn */
  do  {
    sq[0] = data[0];    sq[1] = data[1];    sq[2] = data[2];    sq[3] = data[3];
    sq[4] = data[4];    sq[5] = data[5];    sq[6] = data[6];    sq[7] = data[7];
    prefetch( sq );                               /* Write Back                   */
    sq += 8;    data += 8;                        /* Address Increment            */
  } while( data < end )  ;
}