/******************************************************************/
/*   Sample for resetprg.c                                        */
/******************************************************************/
#include "iodefine.h"                   /* SH7709S Header         */
#pragma stacksize 24                    /* StackSize is 24 Byte   */
 
void _INITSCT(void);
 
char counter = 16;                      /* 1000ms Wait Counter    */
 
#pragma section ResetPRG                /* Section is PResetPRG   */
#pragma entry PowerON_Reset             /* Entry Function         */
void PowerON_Reset(void)
{
  if( !INTC.EXPEVT )  {                 /* Power ON Reset         */
    _INITSCT( );                        /* Call _INITSCT Function */
    PFC.PJCR.WORD = 0x5555;             /* PJ0 - PJ7 is Output    */
    CPG.WTCSR.WRITE = 0xA5E7;           /* Select Manual Reset    */
    }
  else                                  /* Manual Reset           */
    if( !( counter-- ) )  {             /* Decrement Wait Counter */
      _INITSCT( );                      /* Call _INITSCT Function */
      if( !PJ.DR.BYTE )
        PJ.DR.BYTE = 0x01;
      else
        PJ.DR.BYTE <<= 1;
      }
  while( 1 ) ;                          /* Endless Loop           */
}